-- 
-- Created: 8/17/2012
-- Modified: 2/20/2013
-- Project: ECDataModel
-- Model: ECDB v3.3
-- Company: Syncsort Inc.
-- Author: Kevin Mascarenhas
-- Version: 3.3
-- Database: PostgreSQL 9.1
-- 

-- Create schemas section -------------------------------------------------

CREATE SCHEMA "master" AUTHORIZATION "ecxadmin"
;

-- Create sequences section -------------------------------------------------

CREATE SEQUENCE "Seq_CHECKPOINT_checkpointId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_CREDENTIAL_credentialId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_DEVICECLUSTER_deviceClusterId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_DEVICE_deviceId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_EXCLUSIONCALENDAR_exclusionCalendarId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_JOBDEF_jobdefId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_JOBFOLDER_jobFolderId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_JOB_HIST_jobHistId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_JOB_jobId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_KEYRING_keyRingId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_KEY_keyId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_LICENSE_licenseId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_MEDIAPOOL_mediaPoolId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_MEDIA_mediaId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_NODEGROUP_nodeGroupId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_NODE_nodeId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_POLICYGROUP_policyGroupId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_POLICY_policyId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_PRIVILEGE_privilegeId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_PRODUCTCONFIG_productConfigId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_REPLICA_replicaId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_ROLE_roleId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_SCHEDULE_scheduleId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_SECURITYEVENT_securityEventId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_SNAPSHOT_snapshotId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_SOFTWARECONFIG_softwareConfigId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_STORAGEPOOL_HIST_storagePoolHistId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_STORAGEPOOL_storagePoolId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_USERGROUP_userGroupId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_USER_userId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_VOLUME_HIST_volumeHistId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_VOLUME_volumeId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_QTREE_qtreeId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_ASSOCIATION_associationId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_REPORTGROUP_reportGroupId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_REPORT_reportId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_DATASTORE_datastoreId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_LUN_lunId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_VDISK_vdiskId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

CREATE SEQUENCE "Seq_VSNAPSHOT_vsnapshotId"
 INCREMENT BY 1
 NO MAXVALUE
 MINVALUE 1000
 CACHE 1
;

-- Create tables section -------------------------------------------------

-- Table CHECKPOINT

CREATE TABLE "CHECKPOINT"(
 "checkpointId" Bigint DEFAULT nextval('"Seq_CHECKPOINT_checkpointId"'::regclass) NOT NULL,
 "checkpointName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Integer,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table CHECKPOINT

ALTER TABLE "CHECKPOINT" ADD CONSTRAINT "PK_CHECKPOINT" PRIMARY KEY ("checkpointId")
;

-- Table CREDENTIAL

CREATE TABLE "CREDENTIAL"(
 "credentialId" Bigint DEFAULT nextval('"Seq_CREDENTIAL_credentialId"'::regclass) NOT NULL,
 "credentialName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "resourceId" Bigint,
 "resourceType" Character varying(32),
 "userName" Character varying(128),
 "userPassword" Character varying(64),
 "passwordExpiration" Timestamp
)
WITH (OIDS=FALSE)
;

-- Add keys for table CREDENTIAL

ALTER TABLE "CREDENTIAL" ADD CONSTRAINT "PK_CREDENTIAL" PRIMARY KEY ("credentialId")
;

-- Table DEVICE

CREATE TABLE "DEVICE"(
 "deviceId" Bigint DEFAULT nextval('"Seq_DEVICE_deviceId"'::regclass) NOT NULL,
 "deviceName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "deviceClusterId" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table DEVICE

ALTER TABLE "DEVICE" ADD CONSTRAINT "PK_DEVICE" PRIMARY KEY ("deviceId")
;

ALTER TABLE "DEVICE" ADD CONSTRAINT "deviceName" UNIQUE ("deviceName")
;

-- Table DEVICECLUSTER

CREATE TABLE "DEVICECLUSTER"(
 "deviceClusterId" Bigint DEFAULT nextval('"Seq_DEVICECLUSTER_deviceClusterId"'::regclass) NOT NULL,
 "deviceClusterName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table DEVICECLUSTER

ALTER TABLE "DEVICECLUSTER" ADD CONSTRAINT "PK_DEVICECLUSTER" PRIMARY KEY ("deviceClusterId")
;

ALTER TABLE "DEVICECLUSTER" ADD CONSTRAINT "deviceClusterName" UNIQUE ("deviceClusterName")
;

-- Table EXCLUSIONCALENDAR

CREATE TABLE "EXCLUSIONCALENDAR"(
 "exclusionCalendarId" Bigint DEFAULT nextval('"Seq_EXCLUSIONCALENDAR_exclusionCalendarId"'::regclass) NOT NULL,
 "exclusionCalendarName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "hourStart" Integer,
 "hourEnd" Integer,
 "dowLast" Boolean,
 "dowSUN" Boolean,
 "dowMON" Boolean,
 "dowTUE" Boolean,
 "dowWED" Boolean,
 "dowTHU" Boolean,
 "dowFRI" Boolean,
 "dowSAT" Boolean,
 "domLast" Boolean,
 "dom1" Boolean,
 "dom2" Boolean,
 "dom3" Boolean,
 "dom4" Boolean,
 "dom5" Boolean,
 "dom6" Boolean,
 "dom7" Boolean,
 "dom8" Boolean,
 "dom9" Boolean,
 "dom10" Boolean,
 "dom11" Boolean,
 "dom12" Boolean,
 "dom13" Boolean,
 "dom14" Boolean,
 "dom15" Boolean,
 "dom16" Boolean,
 "dom17" Boolean,
 "dom18" Boolean,
 "dom19" Boolean,
 "dom20" Boolean,
 "dom21" Boolean,
 "dom22" Boolean,
 "dom23" Boolean,
 "dom24" Boolean,
 "dom25" Boolean,
 "dom26" Boolean,
 "dom27" Boolean,
 "dom28" Boolean,
 "dom29" Boolean,
 "dom30" Boolean,
 "dom31" Boolean,
 "dtLst" Character varying(1024),
 "xCLst" Character varying(1024)
)
WITH (OIDS=FALSE)
;

-- Add keys for table EXCLUSIONCALENDAR

ALTER TABLE "EXCLUSIONCALENDAR" ADD CONSTRAINT "PK_EXCLUSIONCALENDAR" PRIMARY KEY ("exclusionCalendarId")
;

ALTER TABLE "EXCLUSIONCALENDAR" ADD CONSTRAINT "exclusionCalendarName" UNIQUE ("exclusionCalendarName")
;

-- Table JOB

CREATE TABLE "JOB"(
 "jobId" Bigint DEFAULT nextval('"Seq_JOB_jobId"'::regclass) NOT NULL,
 "jobName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "policyId" Bigint,
 "trackingId" Character varying(32),
 "trackingName" Character varying(128),
 "jobStatus" Character varying(32),
 "startTime" Timestamp,
 "endTime" Timestamp,
 "dataSize" Bigint,
 "scaleFactor" Smallint,
 "statusLog" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table JOB

ALTER TABLE "JOB" ADD CONSTRAINT "PK_JOB" PRIMARY KEY ("jobId")
;

-- Table JOBDEF

CREATE TABLE "JOBDEF"(
 "jobdefId" Bigint DEFAULT nextval('"Seq_JOBDEF_jobdefId"'::regclass) NOT NULL,
 "jobdefName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "jobFolderId" Bigint NOT NULL
)
WITH (OIDS=FALSE)
;

-- Add keys for table JOBDEF

ALTER TABLE "JOBDEF" ADD CONSTRAINT "PK_JOBDEF" PRIMARY KEY ("jobdefId")
;

ALTER TABLE "JOBDEF" ADD CONSTRAINT "jobdefName" UNIQUE ("jobdefName")
;

-- Table JOBFOLDER

CREATE TABLE "JOBFOLDER"(
 "jobFolderId" Bigint DEFAULT nextval('"Seq_JOBFOLDER_jobFolderId"'::regclass) NOT NULL,
 "jobFolderName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table JOBFOLDER

ALTER TABLE "JOBFOLDER" ADD CONSTRAINT "PK_JOBFOLDER" PRIMARY KEY ("jobFolderId")
;

ALTER TABLE "JOBFOLDER" ADD CONSTRAINT "jobFolderName" UNIQUE ("jobFolderName")
;

-- Table JOBMEDIA

CREATE TABLE "JOBMEDIA"(
 "jobId" Bigint NOT NULL,
 "mediaId" Bigint NOT NULL,
 "jobMediaName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "partition" Bigint NOT NULL,
 "taskId" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table JOBMEDIA

ALTER TABLE "JOBMEDIA" ADD CONSTRAINT "PK_JOBMEDIA" PRIMARY KEY ("jobId","mediaId")
;

-- Table JOBTASK

CREATE TABLE "JOBTASK"(
 "jobId" Bigint NOT NULL,
 "taskId" Bigint NOT NULL,
 "jobTaskName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "nodeId" Bigint,
 "volumeId" Bigint,
 "snapshotId" Bigint,
 "reportId" Bigint,
 "mediaId" Bigint,
 "partition" Integer,
 "trackingId" Character varying(32),
 "trackingName" Character varying(128) NOT NULL,
 "taskStatus" Character varying(32),
 "startTime" Timestamp,
 "endTime" Timestamp,
 "dataSize" Bigint,
 "scaleFactor" Smallint,
 "statusLog" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table JOBTASK

ALTER TABLE "JOBTASK" ADD CONSTRAINT "PK_JOBTASK" PRIMARY KEY ("jobId","taskId")
;

ALTER TABLE "JOBTASK" ADD CONSTRAINT "trackingName" UNIQUE ("trackingName")
;

-- Table JOB_HIST

CREATE TABLE "JOB_HIST"(
 "jobHistId" Bigint DEFAULT nextval('"Seq_JOB_HIST_jobHistId"'::regclass) NOT NULL,
 "jobName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "policyName" Character varying(128) NOT NULL,
 "jobStatus" Character varying(32),
 "startTime" Timestamp,
 "endTime" Timestamp,
 "dataSize" Bigint,
 "scaleFactor" Smallint,
 "taskCount" Integer
)
WITH (OIDS=FALSE)
;

-- Add keys for table JOB_HIST

ALTER TABLE "JOB_HIST" ADD CONSTRAINT "PK_JOB_HIST" PRIMARY KEY ("jobHistId")
;

-- Table KEY

CREATE TABLE "KEY"(
 "keyId" Bigint DEFAULT nextval('"Seq_KEY_keyId"'::regclass) NOT NULL,
 "keyName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "keyRingId" Bigint NOT NULL
)
WITH (OIDS=FALSE)
;

-- Add keys for table KEY

ALTER TABLE "KEY" ADD CONSTRAINT "PK_KEY" PRIMARY KEY ("keyId")
;

ALTER TABLE "KEY" ADD CONSTRAINT "keyName" UNIQUE ("keyName")
;

-- Table KEYRING

CREATE TABLE "KEYRING"(
 "keyRingId" Bigint DEFAULT nextval('"Seq_KEYRING_keyRingId"'::regclass) NOT NULL,
 "keyRingName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table KEYRING

ALTER TABLE "KEYRING" ADD CONSTRAINT "PK_KEYRING" PRIMARY KEY ("keyRingId")
;

ALTER TABLE "KEYRING" ADD CONSTRAINT "keyRingName" UNIQUE ("keyRingName")
;

-- Table LICENSE

CREATE TABLE "LICENSE"(
 "licenseId" Bigint DEFAULT nextval('"Seq_LICENSE_licenseId"'::regclass) NOT NULL,
 "licenseName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table LICENSE

ALTER TABLE "LICENSE" ADD CONSTRAINT "PK_LICENSE" PRIMARY KEY ("licenseId")
;

ALTER TABLE "LICENSE" ADD CONSTRAINT "licenseName" UNIQUE ("licenseName")
;

-- Table MEDIA

CREATE TABLE "MEDIA"(
 "mediaId" Bigint DEFAULT nextval('"Seq_MEDIA_mediaId"'::regclass) NOT NULL,
 "mediaName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "mediaPoolId" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table MEDIA

ALTER TABLE "MEDIA" ADD CONSTRAINT "PK_MEDIA" PRIMARY KEY ("mediaId")
;

ALTER TABLE "MEDIA" ADD CONSTRAINT "mediaName" UNIQUE ("mediaName")
;

-- Table MEDIAPOOL

CREATE TABLE "MEDIAPOOL"(
 "mediaPoolId" Bigint DEFAULT nextval('"Seq_MEDIAPOOL_mediaPoolId"'::regclass) NOT NULL,
 "mediaPoolName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table MEDIAPOOL

ALTER TABLE "MEDIAPOOL" ADD CONSTRAINT "PK_MEDIAPOOL" PRIMARY KEY ("mediaPoolId")
;

ALTER TABLE "MEDIAPOOL" ADD CONSTRAINT "mediaPoolName" UNIQUE ("mediaPoolName")
;

-- Table NODE

CREATE TABLE "NODE"(
 "nodeId" Bigint DEFAULT nextval('"Seq_NODE_nodeId"'::regclass) NOT NULL,
 "nodeName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32) NOT NULL,
 "flags" Bigint,
 "nodeGroupId" Bigint,
 "proxyNodeId" Bigint,
 "vmHostNodeId" Bigint,
 "nodeAddress" Character varying(256) NOT NULL,
 "hostId" Character varying(128) NOT NULL,
 "lastIndex" Timestamp,
 "properties" Text,
 "userName" Character varying(128),
 "password" Character varying(64)
)
WITH (OIDS=FALSE)
;

-- Add keys for table NODE

ALTER TABLE "NODE" ADD CONSTRAINT "PK_NODE" PRIMARY KEY ("nodeId")
;

ALTER TABLE "NODE" ADD CONSTRAINT "nodeName" UNIQUE ("nodeName")
;

ALTER TABLE "NODE" ADD CONSTRAINT "SK_NODE_HOSTIDTYPE" UNIQUE ("hostId","type")
;

-- Table NODEGROUP

CREATE TABLE "NODEGROUP"(
 "nodeGroupId" Bigint DEFAULT nextval('"Seq_NODEGROUP_nodeGroupId"'::regclass) NOT NULL,
 "nodeGroupName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table NODEGROUP

ALTER TABLE "NODEGROUP" ADD CONSTRAINT "PK_NODEGROUP" PRIMARY KEY ("nodeGroupId")
;

ALTER TABLE "NODEGROUP" ADD CONSTRAINT "nodeGroupName" UNIQUE ("nodeGroupName")
;

-- Table NODEPOLICY

CREATE TABLE "NODEPOLICY"(
 "nodeId" Bigint NOT NULL,
 "policyId" Bigint NOT NULL,
 "nodePolicyName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table NODEPOLICY

ALTER TABLE "NODEPOLICY" ADD CONSTRAINT "PK_NODEPOLICY" PRIMARY KEY ("nodeId","policyId")
;

-- Table PERMISSION

CREATE TABLE "PERMISSION"(
 "principalId" Bigint NOT NULL,
 "principalType" Character varying(32) NOT NULL,
 "resourceId" Bigint NOT NULL,
 "resourceType" Character varying(32) NOT NULL,
 "roleId" Bigint NOT NULL,
 "permissionName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table PERMISSION

ALTER TABLE "PERMISSION" ADD CONSTRAINT "PK_PERMISSION" PRIMARY KEY ("principalId","principalType","resourceId","resourceType","roleId")
;

-- Table POLICY

CREATE TABLE "POLICY"(
 "policyId" Bigint DEFAULT nextval('"Seq_POLICY_policyId"'::regclass) NOT NULL,
 "policyName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "policyGroupId" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table POLICY

ALTER TABLE "POLICY" ADD CONSTRAINT "PK_POLICY" PRIMARY KEY ("policyId")
;

ALTER TABLE "POLICY" ADD CONSTRAINT "policyName" UNIQUE ("policyName")
;

-- Table POLICYGROUP

CREATE TABLE "POLICYGROUP"(
 "policyGroupId" Bigint DEFAULT nextval('"Seq_POLICYGROUP_policyGroupId"'::regclass) NOT NULL,
 "policyGroupName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table POLICYGROUP

ALTER TABLE "POLICYGROUP" ADD CONSTRAINT "PK_POLICYGROUP" PRIMARY KEY ("policyGroupId")
;

ALTER TABLE "POLICYGROUP" ADD CONSTRAINT "policyGroupName" UNIQUE ("policyGroupName")
;

-- Table POLICYSCHEDULE

CREATE TABLE "POLICYSCHEDULE"(
 "policyId" Bigint NOT NULL,
 "scheduleId" Bigint NOT NULL,
 "policyScheduleName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table POLICYSCHEDULE

ALTER TABLE "POLICYSCHEDULE" ADD CONSTRAINT "PK_POLICYSCHEDULE" PRIMARY KEY ("policyId","scheduleId")
;

-- Table PRIVILEGE

CREATE TABLE "PRIVILEGE"(
 "privilegeId" Bigint DEFAULT nextval('"Seq_PRIVILEGE_privilegeId"'::regclass) NOT NULL,
 "privilegeName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table PRIVILEGE

ALTER TABLE "PRIVILEGE" ADD CONSTRAINT "PK_PRIVILEGE" PRIMARY KEY ("privilegeId")
;

ALTER TABLE "PRIVILEGE" ADD CONSTRAINT "privilegeName" UNIQUE ("privilegeName")
;

-- Table REPLICA

CREATE TABLE "REPLICA"(
 "replicaId" Bigint DEFAULT nextval('"Seq_REPLICA_replicaId"'::regclass) NOT NULL,
 "replicaName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "state" Character varying(32),
 "status" Character varying(32),
 "srcNodeId" Bigint,
 "srcHostAddress" Character varying(256),
 "srcAltHostAddress" Character varying(256),
 "srcVolumeId" Bigint,
 "srcVolumeName" Character varying(128),
 "srcQtreeId" Bigint,
 "srcPath" Character varying(1024),
 "srcQtreeSize" Bigint,
 "dstNodeId" Bigint,
 "dstHostAddress" Character varying(256),
 "dstAltHostAddress" Character varying(256),
 "dstVolumeId" Bigint,
 "dstVolumeName" Character varying(128),
 "dstQtreeId" Bigint,
 "dstPath" Character varying(1024),
 "dstQtreeSize" Bigint,
 "lagTime" Integer,
 "srcLastXferStatus" Character varying(256),
 "dstLastXferStatus" Character varying(256),
 "lastXferDuration" Integer,
 "lastXferSize" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table REPLICA

ALTER TABLE "REPLICA" ADD CONSTRAINT "PK_REPLICA" PRIMARY KEY ("replicaId")
;

-- Table ROLE

CREATE TABLE "ROLE"(
 "roleId" Bigint DEFAULT nextval('"Seq_ROLE_roleId"'::regclass) NOT NULL,
 "roleName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "parentRoleId" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table ROLE

ALTER TABLE "ROLE" ADD CONSTRAINT "PK_ROLE" PRIMARY KEY ("roleId")
;

ALTER TABLE "ROLE" ADD CONSTRAINT "roleName" UNIQUE ("roleName")
;

-- Table ROLEPRIVILEGE

CREATE TABLE "ROLEPRIVILEGE"(
 "roleId" Bigint NOT NULL,
 "privilegeId" Bigint NOT NULL,
 "rolePrivilegeName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table ROLEPRIVILEGE

ALTER TABLE "ROLEPRIVILEGE" ADD CONSTRAINT "PK_ROLEPRIVILEGE" PRIMARY KEY ("roleId","privilegeId")
;

-- Table SCHEDULE

CREATE TABLE "SCHEDULE"(
 "scheduleId" Bigint DEFAULT nextval('"Seq_SCHEDULE_scheduleId"'::regclass) NOT NULL,
 "scheduleName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "exclusionCalendarId" Bigint,
 "todHour" Integer,
 "todMinute" Integer,
 "todSecond" Integer,
 "day" Integer,
 "month" Integer,
 "year" Integer,
 "dowLast" Boolean,
 "dowSUN" Boolean,
 "dowMON" Boolean,
 "dowTUE" Boolean,
 "dowWED" Boolean,
 "dowTHU" Boolean,
 "dowFRI" Boolean,
 "dowSAT" Boolean,
 "domLast" Boolean,
 "dom1" Boolean,
 "dom2" Boolean,
 "dom3" Boolean,
 "dom4" Boolean,
 "dom5" Boolean,
 "dom6" Boolean,
 "dom7" Boolean,
 "dom8" Boolean,
 "dom9" Boolean,
 "dom10" Boolean,
 "dom11" Boolean,
 "dom12" Boolean,
 "dom13" Boolean,
 "dom14" Boolean,
 "dom15" Boolean,
 "dom16" Boolean,
 "dom17" Boolean,
 "dom18" Boolean,
 "dom19" Boolean,
 "dom20" Boolean,
 "dom21" Boolean,
 "dom22" Boolean,
 "dom23" Boolean,
 "dom24" Boolean,
 "dom25" Boolean,
 "dom26" Boolean,
 "dom27" Boolean,
 "dom28" Boolean,
 "dom29" Boolean,
 "dom30" Boolean,
 "dom31" Boolean,
 "moyJAN" Boolean,
 "moyFEB" Boolean,
 "moyMAR" Boolean,
 "moyAPR" Boolean,
 "moyMAY" Boolean,
 "moyJUN" Boolean,
 "moyJUL" Boolean,
 "moyAUG" Boolean,
 "moySEP" Boolean,
 "moyOCT" Boolean,
 "moyNOV" Boolean,
 "moyDEC" Boolean,
 "frequency" Integer,
 "secIntvl" Boolean,
 "cronSpec" Character varying(128),
 "priority" Integer,
 "activateDate" Timestamp,
 "deactivateDate" Timestamp,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table SCHEDULE

ALTER TABLE "SCHEDULE" ADD CONSTRAINT "PK_SCHEDULE" PRIMARY KEY ("scheduleId")
;

ALTER TABLE "SCHEDULE" ADD CONSTRAINT "scheduleName" UNIQUE ("scheduleName")
;

-- Table SECURITYEVENT

CREATE TABLE "SECURITYEVENT"(
 "securityEventId" Bigint DEFAULT nextval('"Seq_SECURITYEVENT_securityEventId"'::regclass) NOT NULL,
 "securityEventName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "resourceId" Bigint,
 "resourceType" Character varying(32),
 "resourceName" Character varying(128),
 "userId" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table SECURITYEVENT

ALTER TABLE "SECURITYEVENT" ADD CONSTRAINT "PK_SECURITYEVENT" PRIMARY KEY ("securityEventId")
;

-- Table SNAPSHOT

CREATE TABLE "SNAPSHOT"(
 "snapshotId" Bigint DEFAULT nextval('"Seq_SNAPSHOT_snapshotId"'::regclass) NOT NULL,
 "snapshotName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "volumeId" Bigint NOT NULL,
 "state" Character varying(32),
 "createDate" Timestamp,
 "deltaSize" Bigint,
 "pctTotalBlks" Smallint,
 "pctUsedBlks" Smallint,
 "cumlPctTotalBlks" Smallint,
 "cumlPctUsedBlks" Smallint,
 "cumlTotal" Bigint,
 "lastIndex" Timestamp,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table SNAPSHOT

ALTER TABLE "SNAPSHOT" ADD CONSTRAINT "PK_SNAPSHOT" PRIMARY KEY ("snapshotId")
;

ALTER TABLE "SNAPSHOT" ADD CONSTRAINT "SK_SNAPSHOT_VOLUMESNAPSHOT" UNIQUE ("volumeId","snapshotName")
;

-- Table SOFTWARECONFIG

CREATE TABLE "SOFTWARECONFIG"(
 "softwareConfigId" Bigint DEFAULT nextval('"Seq_SOFTWARECONFIG_softwareConfigId"'::regclass) NOT NULL,
 "softwareConfigName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "nodeId" Bigint NOT NULL,
 "serverHost" Character varying(256),
 "serverPort" Integer,
 "protocolType" Character varying(32),
 "version" Character varying(128),
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table SOFTWARECONFIG

ALTER TABLE "SOFTWARECONFIG" ADD CONSTRAINT "PK_SOFTWARECONFIG" PRIMARY KEY ("softwareConfigId")
;

-- Table STORAGEPOOL

CREATE TABLE "STORAGEPOOL"(
 "storagePoolId" Bigint DEFAULT nextval('"Seq_STORAGEPOOL_storagePoolId"'::regclass) NOT NULL,
 "storagePoolName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "nodeId" Bigint NOT NULL,
 "state" Character varying(32),
 "diskCount" Integer,
 "volumeCount" Integer,
 "totalSpace" Bigint,
 "usedSpace" Bigint,
 "freeSpace" Bigint,
 "pctUsed" Smallint,
 "totalReserve" Bigint,
 "usedReserve" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table STORAGEPOOL

ALTER TABLE "STORAGEPOOL" ADD CONSTRAINT "PK_STORAGEPOOL" PRIMARY KEY ("storagePoolId")
;

-- Table STORAGEPOOL_HIST

CREATE TABLE "STORAGEPOOL_HIST"(
 "storagePoolHistId" Bigint DEFAULT nextval('"Seq_STORAGEPOOL_HIST_storagePoolHistId"'::regclass) NOT NULL,
 "storagePoolName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "nodeName" Character varying(128) NOT NULL,
 "state" Character varying(32),
 "diskCount" Integer,
 "volumeCount" Integer,
 "totalSpace" Bigint,
 "usedSpace" Bigint,
 "freeSpace" Bigint,
 "pctUsed" Smallint,
 "totalReserve" Bigint,
 "usedReserve" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table STORAGEPOOL_HIST

ALTER TABLE "STORAGEPOOL_HIST" ADD CONSTRAINT "PK_STORAGEPOOL_HIST" PRIMARY KEY ("storagePoolHistId")
;

-- Table USER

CREATE TABLE "USER"(
 "userId" Bigint DEFAULT nextval('"Seq_USER_userId"'::regclass) NOT NULL,
 "userName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "accountDisabled" Boolean,
 "loginCount" Integer DEFAULT 0,
 "uiPrefs" Text,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table USER

ALTER TABLE "USER" ADD CONSTRAINT "PK_USER" PRIMARY KEY ("userId")
;

ALTER TABLE "USER" ADD CONSTRAINT "userName" UNIQUE ("userName")
;

-- Table USERGROUP

CREATE TABLE "USERGROUP"(
 "userGroupId" Bigint DEFAULT nextval('"Seq_USERGROUP_userGroupId"'::regclass) NOT NULL,
 "userGroupName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "parentGroupId" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table USERGROUP

ALTER TABLE "USERGROUP" ADD CONSTRAINT "PK_USERGROUP" PRIMARY KEY ("userGroupId")
;

ALTER TABLE "USERGROUP" ADD CONSTRAINT "userGroupName" UNIQUE ("userGroupName")
;

-- Table USERMEMBERSHIP

CREATE TABLE "USERMEMBERSHIP"(
 "userId" Bigint NOT NULL,
 "userGroupId" Bigint NOT NULL,
 "userMembershipName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table USERMEMBERSHIP

ALTER TABLE "USERMEMBERSHIP" ADD CONSTRAINT "PK_USERMEMBERSHIP" PRIMARY KEY ("userId","userGroupId")
;

-- Table VOLUME

CREATE TABLE "VOLUME"(
 "volumeId" Bigint DEFAULT nextval('"Seq_VOLUME_volumeId"'::regclass) NOT NULL,
 "volumeName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "nodeId" Bigint NOT NULL,
 "storagePoolId" Bigint,
 "state" Character varying(32),
 "diskCount" Integer,
 "totalSpace" Bigint,
 "usedSpace" Bigint,
 "freeSpace" Bigint,
 "pctUsed" Smallint,
 "totalReserve" Bigint,
 "usedReserve" Bigint,
 "maxFileCount" Bigint,
 "currFileCount" Bigint,
 "lastIndex" Timestamp,
 "seState" Character varying(32),
 "sePctTotalSaved" Smallint,
 "seTotalSaved" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table VOLUME

ALTER TABLE "VOLUME" ADD CONSTRAINT "PK_VOLUME" PRIMARY KEY ("volumeId")
;

ALTER TABLE "VOLUME" ADD CONSTRAINT "SK_VOLUME_NODEVOLUME" UNIQUE ("nodeId","volumeName")
;

-- Table VOLUME_HIST

CREATE TABLE "VOLUME_HIST"(
 "volumeHistId" Bigint DEFAULT nextval('"Seq_VOLUME_HIST_volumeHistId"'::regclass) NOT NULL,
 "volumeName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "nodeName" Character varying(128) NOT NULL,
 "storagePoolName" Character varying(128),
 "state" Character varying(32),
 "diskCount" Integer,
 "totalSpace" Bigint,
 "usedSpace" Bigint,
 "freeSpace" Bigint,
 "pctUsed" Smallint,
 "totalReserve" Bigint,
 "usedReserve" Bigint,
 "currFileCount" Bigint,
 "seState" Character varying(32),
 "sePctTotalSaved" Smallint,
 "seTotalSaved" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table VOLUME_HIST

ALTER TABLE "VOLUME_HIST" ADD CONSTRAINT "PK_VOLUME_HIST" PRIMARY KEY ("volumeHistId")
;

-- Table QTREE

CREATE TABLE "QTREE"(
 "qtreeId" Bigint DEFAULT nextval('"Seq_QTREE_qtreeId"'::regclass) NOT NULL,
 "qtreeName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "nodeId" Bigint NOT NULL,
 "volumeId" Bigint NOT NULL,
 "ownerNodeId" Bigint,
 "ownerName" Character varying(128),
 "securityStyle" Character varying(32),
 "status" Character varying(32),
 "cTime" Timestamp,
 "mTime" Timestamp,
 "size" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table QTREE

ALTER TABLE "QTREE" ADD CONSTRAINT "PK_QTREE" PRIMARY KEY ("qtreeId")
;

-- Table ASSOCIATION

CREATE TABLE "ASSOCIATION"(
 "associationId" Bigint DEFAULT nextval('"Seq_ASSOCIATION_associationId"'::regclass) NOT NULL,
 "associationName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "category" Character varying(32),
 "xValue" Character varying(32)
)
WITH (OIDS=FALSE)
;

COMMENT ON TABLE "ASSOCIATION" IS 'The association entity (table) provides a mapping between a category name and all values that comprise the set for the category. For example, the category "Music Files" could have the set of values {"mp3", "wma", "wav"}. Additionally, many type of associations can be defined in order to create mappings for various classes of objects such as Files, Nodes, etc.'
;

-- Add keys for table ASSOCIATION

ALTER TABLE "ASSOCIATION" ADD CONSTRAINT "PK_ASSOCIATION" PRIMARY KEY ("associationId")
;

-- Table REPORTGROUP

CREATE TABLE "REPORTGROUP"(
 "reportGroupId" Bigint DEFAULT nextval('"Seq_REPORTGROUP_reportGroupId"'::regclass) NOT NULL,
 "reportGroupName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table REPORTGROUP

ALTER TABLE "REPORTGROUP" ADD CONSTRAINT "PK_REPORTGROUP" PRIMARY KEY ("reportGroupId")
;

ALTER TABLE "REPORTGROUP" ADD CONSTRAINT "reportGroupName" UNIQUE ("reportGroupName")
;

-- Table REPORT

CREATE TABLE "REPORT"(
 "reportId" Bigint DEFAULT nextval('"Seq_REPORT_reportId"'::regclass) NOT NULL,
 "reportName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "reportGroupId" Bigint,
 "parentReportId" Bigint,
 "category" Character varying(32),
 "description" Character varying(1024),
 "designDocName" Character varying(256),
 "displayName" Character varying(256),
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table REPORT

ALTER TABLE "REPORT" ADD CONSTRAINT "PK_REPORT" PRIMARY KEY ("reportId")
;

ALTER TABLE "REPORT" ADD CONSTRAINT "reportName" UNIQUE ("reportName")
;

-- Table DATASTORE

CREATE TABLE "DATASTORE"(
 "datastoreId" Bigint DEFAULT nextval('"Seq_DATASTORE_datastoreId"'::regclass) NOT NULL,
 "datastoreName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "stgHostAddress" Character varying(256),
 "stgHostPath" Character varying(1024),
 "urlPath" Character varying(1024),
 "stgNodeId" Bigint,
 "stgVolumeId" Bigint,
 "stgVolumePath" Character varying(1024),
 "lastUpdatedTime" Timestamp,
 "capacity" Bigint,
 "provisionedSpace" Bigint,
 "freeSpace" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table DATASTORE

ALTER TABLE "DATASTORE" ADD CONSTRAINT "PK_DATASTORE" PRIMARY KEY ("datastoreId")
;

ALTER TABLE "DATASTORE" ADD CONSTRAINT "datastoreName" UNIQUE ("datastoreName")
;

-- Table VINODEDATASTORE

CREATE TABLE "VINODEDATASTORE"(
 "nodeId" Bigint NOT NULL,
 "datastoreId" Bigint NOT NULL,
 "viNodeDatastoreName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table VINODEDATASTORE

ALTER TABLE "VINODEDATASTORE" ADD CONSTRAINT "PK_VINODEDATASTORE" PRIMARY KEY ("nodeId","datastoreId")
;

-- Table REPORTPOLICY

CREATE TABLE "REPORTPOLICY"(
 "reportId" Bigint NOT NULL,
 "policyId" Bigint NOT NULL,
 "reportPolicyName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table REPORTPOLICY

ALTER TABLE "REPORTPOLICY" ADD CONSTRAINT "PK_REPORTPOLICY" PRIMARY KEY ("reportId","policyId")
;

-- Table LUN

CREATE TABLE "LUN"(
 "lunId" Bigint DEFAULT nextval('"Seq_LUN_lunId"'::regclass) NOT NULL,
 "lunName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "stgNodeId" Bigint,
 "stgVolumeId" Bigint,
 "stgPath" Character varying(1024),
 "mediaType" Character varying(32),
 "vendorName" Character varying(128),
 "deviceId" Integer,
 "deviceName" Character varying(128),
 "uuid" Character varying(256),
 "status" Character varying(32),
 "shareState" Character varying(32),
 "readOnly" Boolean,
 "mapped" Boolean,
 "protocolType" Character varying(32),
 "spaceReserved" Boolean,
 "alignment" Character varying(32),
 "blockSize" Integer,
 "size" Bigint,
 "usedSize" Bigint,
 "prefixSize" Bigint,
 "suffixSize" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table LUN

ALTER TABLE "LUN" ADD CONSTRAINT "PK_LUN" PRIMARY KEY ("lunId")
;

ALTER TABLE "LUN" ADD CONSTRAINT "lunName" UNIQUE ("lunName")
;

-- Table USERROLE

CREATE TABLE "USERROLE"(
 "userId" Bigint NOT NULL,
 "roleId" Bigint NOT NULL,
 "userRoleName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint
)
WITH (OIDS=FALSE)
;

-- Add keys for table USERROLE

ALTER TABLE "USERROLE" ADD CONSTRAINT "PK_USERROLE" PRIMARY KEY ("userId","roleId")
;

-- Table VDISK

CREATE TABLE "VDISK"(
 "vdiskId" Bigint DEFAULT nextval('"Seq_VDISK_vdiskId"'::regclass) NOT NULL,
 "vdiskName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "viNodeId" Bigint NOT NULL,
 "datastoreId" Bigint,
 "lunId" Bigint,
 "provisionedSize" Bigint,
 "currentSize" Bigint,
 "lastModified" Timestamp,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table VDISK

ALTER TABLE "VDISK" ADD CONSTRAINT "PK_VDISK" PRIMARY KEY ("vdiskId")
;

ALTER TABLE "VDISK" ADD CONSTRAINT "SK_VDISK_NODEVDISK" UNIQUE ("viNodeId","vdiskName")
;

-- Table VSNAPSHOT

CREATE TABLE "VSNAPSHOT"(
 "vsnapshotId" Bigint DEFAULT nextval('"Seq_VSNAPSHOT_vsnapshotId"'::regclass) NOT NULL,
 "vsnapshotName" Character varying(128) NOT NULL,
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "viNodeId" Bigint NOT NULL,
 "state" Character varying(32),
 "createDate" Timestamp,
 "lastIndex" Timestamp,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table VSNAPSHOT

ALTER TABLE "VSNAPSHOT" ADD CONSTRAINT "PK_VSNAPSHOT" PRIMARY KEY ("vsnapshotId")
;

ALTER TABLE "VSNAPSHOT" ADD CONSTRAINT "SK_VSNAPSHOT_NODEVSNAPSHOT" UNIQUE ("viNodeId","vsnapshotName")
;

-- Table NODELUN

CREATE TABLE "NODELUN"(
 "nodeId" Bigint NOT NULL,
 "lunId" Bigint NOT NULL,
 "nodeLunName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table NODELUN

ALTER TABLE "NODELUN" ADD CONSTRAINT "PK_NODELUN" PRIMARY KEY ("nodeId","lunId")
;

-- Table DATASTORELUN

CREATE TABLE "DATASTORELUN"(
 "datastoreId" Bigint NOT NULL,
 "lunId" Bigint NOT NULL,
 "datastoreLunName" Character varying(128),
 "comment" Character varying(256),
 "creatorId" Bigint,
 "creationTime" Timestamp DEFAULT now(),
 "type" Character varying(32),
 "flags" Bigint,
 "properties" Text
)
WITH (OIDS=FALSE)
;

-- Add keys for table DATASTORELUN

ALTER TABLE "DATASTORELUN" ADD CONSTRAINT "PK_DATASTORELUN" PRIMARY KEY ("datastoreId","lunId")
;

-- Create views section -------------------------------------------------

CREATE VIEW "node_view"
 AS
SELECT n."nodeId", 
    n."nodeName", 
    n."type" AS "nodeType", 
    n."vmHostNodeId",
    hn."nodeName" AS "vmHostNodeName",
    n."nodeAddress", 
    n."hostId",
    n."lastIndex" AS "nodeLastIndex", 
    n."properties" AS "nodeProperties"
FROM "NODE" n LEFT JOIN "NODE" hn ON n."vmHostNodeId" = hn."nodeId"
;

CREATE VIEW "qtree_view"
 AS
SELECT q."qtreeId", 
    q."qtreeName", 
    q."type" AS "qtreeType", 
    q."nodeId", 
    n."nodeName", 
    q."volumeId", 
    v."volumeName", 
    q."ownerName", 
    q."securityStyle", 
    q.status AS "qtreeStatus",
    q."cTime" AS "createTime", 
    q."mTime" AS "modifiedTime", 
    q."size",     
    q."properties" as "qtreeProperties"
FROM (("QTREE" q JOIN "NODE" n ON ((q."nodeId" = n."nodeId"))) 
    JOIN "VOLUME" v ON ((q."volumeId" = v."volumeId")))
;

CREATE VIEW "replica_view"
 AS
SELECT r."replicaId", 
    r."replicaName", 
    r."type" AS "replicaType", 
    r."state" AS "replicaState", 
    r."status" AS "replicaStatus", 
    r."srcNodeId",
    COALESCE(sn."nodeName", r."srcHostAddress") AS "srcNodeName", 
    r."srcVolumeId",
    COALESCE(sv."volumeName", r."srcVolumeName") AS "srcVolumeName", 
    r."srcPath",
    r."dstNodeId",
    COALESCE(dn."nodeName", r."dstHostAddress") AS "dstNodeName", 
    r."dstVolumeId",
    COALESCE(dv."volumeName", r."dstVolumeName") AS "dstVolumeName", 
    r."dstPath", 
    r."lagTime", 
    r."lastXferDuration", 
    r."lastXferSize",
    r."srcLastXferStatus",
    r."dstLastXferStatus",
    r."srcQtreeSize",
    r."dstQtreeSize",
    r."properties" AS "replicaProperties"
FROM (((("REPLICA" r LEFT JOIN "NODE" sn ON ((r."srcNodeId" = sn."nodeId"))) 
    LEFT JOIN "NODE" dn ON ((r."dstNodeId" = dn."nodeId"))) 
    LEFT JOIN "VOLUME" sv ON ((r."srcVolumeId" = sv."volumeId"))) 
    LEFT JOIN "VOLUME" dv ON ((r."dstVolumeId" = dv."volumeId")))
;

CREATE VIEW "snapshot_view"
 AS
SELECT s."snapshotId", 
    s."snapshotName", 
    s."type" AS "snapshotType", 
    s."volumeId", 
    v."volumeName", 
    s."state" AS "snapshotState", 
    s."createDate", 
    s."deltaSize", 
    s."pctTotalBlks", 
    s."pctUsedBlks", 
    s."cumlPctTotalBlks", 
    s."cumlPctUsedBlks", 
    s."cumlTotal", 
    s."lastIndex" AS "snapshotLastIndex",
    s."properties" AS "snapshotProperties"		
FROM "SNAPSHOT" s JOIN "VOLUME" v ON s."volumeId" = v."volumeId"
;

CREATE VIEW "storagepool_view"
 AS
SELECT sp."storagePoolId", 
    sp."storagePoolName", 
    sp."type" AS "storagePoolType", 
    sp."nodeId", 
    n."nodeName", 
    sp."state" AS "storagePoolState", 
    sp."diskCount", 
    sp."volumeCount", 
    sp."totalSpace", 
    sp."usedSpace", 
    sp."freeSpace", 
    sp."pctUsed", 
    sp."totalReserve", 
    sp."usedReserve",
    sp."properties" AS "storagePoolProperties"
FROM "STORAGEPOOL" sp JOIN "NODE" n ON sp."nodeId" = n."nodeId"
;

CREATE VIEW "volume_view"
 AS
SELECT v."volumeId", 
    v."volumeName", 
    v."type" AS "volumeType", 
    v."nodeId", 
    n."nodeName",
    n."type" AS "nodeType", 
    v."storagePoolId", 
    sp."storagePoolName", 
    v."state" AS "volumeState", 
    v."diskCount", 
    v."totalSpace", 
    v."usedSpace", 
    v."freeSpace", 
    v."pctUsed", 
    v."totalReserve", 
    v."usedReserve", 
    v."maxFileCount", 
    v."currFileCount", 
    v."lastIndex" AS "volumeLastIndex", 
    v."seState", 
    v."sePctTotalSaved", 
    v."seTotalSaved",
    v."properties" AS "volumeProperties"		
FROM (("VOLUME" v JOIN "NODE" n ON ((v."nodeId" = n."nodeId"))) 
    LEFT JOIN "STORAGEPOOL" sp ON ((v."storagePoolId" = sp."storagePoolId")))
;

CREATE VIEW "datastore_view"
 AS  
SELECT d."datastoreId", 
    d."datastoreName",
    d."type" AS "datastoreType",
    d."stgHostAddress",
    d."stgHostPath",
    d."urlPath", 
    d."stgNodeId",
    d."stgVolumeId",
    d."stgVolumePath",
    d."lastUpdatedTime", 
    d."capacity", 
    d."provisionedSpace", 
    d."freeSpace", 
    d."properties" AS "datastoreProperties"
FROM "DATASTORE" d 
;

CREATE VIEW "datastore_vi_view"
 AS
SELECT d."datastoreId", 
    d."datastoreName",
    nd."viNodeDatastoreName",
    d."type" AS "datastoreType",
    nd."type" AS "viNodeDatastoreType",
    n."nodeId" AS "viNodeId",
    n."nodeName" AS "viNodeName",
    n."type" AS "viNodeType",
    d."stgHostAddress",
    d."stgHostPath",
    d."urlPath", 
    d."stgNodeId",
    d."stgVolumeId",
    d."stgVolumePath",
    d."lastUpdatedTime", 
    d."capacity", 
    d."provisionedSpace", 
    d."freeSpace", 
    d."properties" AS "datastoreProperties",
    nd."properties" AS "viNodeDatastoreProperties"
FROM (("DATASTORE" d JOIN "VINODEDATASTORE" nd ON d."datastoreId" = nd."datastoreId")
    JOIN "NODE" n ON nd."nodeId" = n."nodeId")
;

CREATE VIEW "vsnapshot_view"
 AS 
SELECT s."vsnapshotId",
    s."vsnapshotName",
    s.type AS "vsnapshotType", 
    n."nodeId", 
    n."nodeName",
    n."type" AS "nodeType",
    s.state AS "vsnapshotState", 
    s."createDate", 
    s."lastIndex" AS "vsnapshotLastIndex",
    s."properties" AS "vsnapshotProperties"        
FROM "VSNAPSHOT" s JOIN "NODE" n ON s."viNodeId" = n."nodeId"
;

CREATE VIEW "vdisk_view"
 AS 
SELECT d."vdiskId", 
    d."vdiskName",
    d."type" AS "vdiskType",
    d."viNodeId",
    n."nodeName" AS "viNodeName",
    d."datastoreId",
    d."lunId",
    d."provisionedSize", 
    d."currentSize", 
    d."lastModified", 
    d."properties"
FROM "VDISK" d JOIN "NODE" n ON d."viNodeId" = n."nodeId"
;

CREATE VIEW "lun_view"
 AS 
SELECT l."lunId", 
    l."lunName",
    l."type" AS "lunType",
    l."stgNodeId",
    l."stgVolumeId",
    l."stgPath",
    l."mediaType",
    l."vendorName",
    l."deviceId",
    l."deviceName",
    l."uuid",
    l."status",
    l."shareState",
    l."readOnly",
    l."mapped",
    l."protocolType",
    l."spaceReserved",
    l."alignment",
    l."blockSize",
    l."size",
    l."usedSize",
    l."prefixSize",
    l."suffixSize",
    l."properties" AS "lunProperties"
FROM "LUN" l
;

CREATE VIEW "policy_view"
 AS
SELECT p."policyId",
    p."policyName",
    p."type" AS "policyType",
    p."properties" AS "policyProperties"
FROM "POLICY" p
;

CREATE VIEW "job_view"
 AS
SELECT j."jobId",
    j."jobName",
    j."type" AS "jobType",
    j."policyId",
    j."trackingId",
    j."trackingName",
    j."jobStatus",
    j."startTime",
    j."endTime",
    j."dataSize",
    j."scaleFactor",
    j."statusLog"
FROM "JOB" j
;

CREATE VIEW "policy_job_view"
 AS
SELECT p."policyId",
    p."policyName",
    p."policyType",
    p."policyProperties",
    j."jobId",
    j."jobName",
    j."jobType",
    j."trackingId",
    j."trackingName",
    j."jobStatus",
    j."startTime",
    j."endTime",
    j."dataSize",
    j."scaleFactor",
    j."statusLog"
FROM policy_view p LEFT JOIN job_view j ON p."policyId" = j."policyId"
;

CREATE VIEW "jobtask_view"
 AS
SELECT jt."jobId",
    j."jobName",
    j."type" AS "jobType",
    jt."taskId",
    jt."jobTaskName",
    jt."type" AS "jobtaskType",
    jt."trackingId",
    jt."trackingName",
    jt."taskStatus",
    jt."startTime",
    jt."endTime",
    jt."dataSize",
    jt."scaleFactor",
    jt."statusLog"
FROM "JOBTASK" jt JOIN "JOB" j ON jt."jobId" = j."jobId"
;

CREATE VIEW "association_view"
 AS
SELECT a."associationId",
    a."associationName",
    a."type" AS "associationType",
    a."category",
    a."xValue" AS "instanceValue"
FROM "ASSOCIATION" a
;

CREATE VIEW "productconfig_view"
 AS
SELECT pc."productConfigId",
    pc."productConfigName",
    pc."type" AS "productConfigType",
    pc."properties" AS "productConfigProperties"
FROM "PRODUCTCONFIG" pc
;

CREATE VIEW "user_view"
 AS
SELECT u."userId",
    u."userName",
    u."type" AS "userType",
    u."accountDisabled",
    u."loginCount",
    u."uiPrefs",
    u."properties" AS "userProperties"
FROM "USER" u
;

CREATE VIEW "role_view"
 AS
SELECT r."roleId",
    r."roleName",
    r."type" AS "roleType",
    r."parentRoleId",
    pr."roleName" AS "parentRoleName",
    r."properties" AS "roleProperties"
FROM "ROLE" r LEFT JOIN "ROLE" pr ON r."parentRoleId" = pr."roleId"
;

CREATE VIEW "user_role_view"
 AS
SELECT u."userId",
    u."userName",
    u."userType",
    u."accountDisabled",
    u."loginCount",
    u."uiPrefs",
    u."userProperties",
    r."roleId",
    r."roleName",
    r."roleType",
    r."parentRoleId",
    r."parentRoleName",
    r."roleProperties"
FROM ((user_view u JOIN "USERROLE" ur ON u."userId" = ur."userId") 
    JOIN role_view r ON ur."roleId" = r."roleId")
;

CREATE VIEW "datastore_lun_view"
  AS  
SELECT d."datastoreId", 
    d."datastoreName",
    dl."datastoreLunName",
    d."type" AS "datastoreType",
    dl."type" AS "datastoreLunType",
    l."lunId",
    l."lunName",
    l."type" AS "lunType",
    l."mediaType",
    l."vendorName",
    l."deviceName",
    l."protocolType",
    d."stgHostAddress",
    d."stgHostPath",
    d."urlPath", 
    d."stgNodeId",
    d."stgVolumeId",
    d."stgVolumePath",
    d."lastUpdatedTime", 
    d."capacity", 
    d."provisionedSpace", 
    d."freeSpace", 
    d."properties" AS "datastoreProperties",
    dl."properties" AS "datastoreLunProperties"
FROM (("DATASTORE" d LEFT JOIN "DATASTORELUN" dl ON d."datastoreId" = dl."datastoreId")
    JOIN "LUN" l ON dl."lunId" = l."lunId")
;

CREATE VIEW "lun_node_view"
  AS 
SELECT l."lunId", 
    l."lunName",
    nl."nodeLunName",
    l."type" AS "lunType",
    nl."type" AS "nodeLunType",
    n."nodeId" AS "hostNodeId",
    n."nodeName" AS "hostNodeName",
    n."type" AS "hostNodeType",
    l."stgNodeId",
    l."stgVolumeId",
    l."stgPath",
    l."mediaType",
    l."vendorName",
    l."deviceId",
    l."deviceName",
    l."uuid",
    l."status",
    l."shareState",
    l."readOnly",
    l."mapped",
    l."protocolType",
    l."spaceReserved",
    l."alignment",
    l."blockSize",
    l."size",
    l."usedSize",
    l."prefixSize",
    l."suffixSize",
    l."properties" AS "lunProperties",
    nl."properties" AS "nodeLunProperties"
FROM (("LUN" l LEFT JOIN "NODELUN" nl ON l."lunId" = nl."lunId")
    JOIN "NODE" n ON n."nodeId" = nl."nodeId")
;

CREATE VIEW "node_policy_view"
 AS
SELECT n."nodeId", 
    n."nodeName", 
    n."type" AS "nodeType",
    p."policyId",
    p."policyName",
    p."type" AS "policyType",
    np."nodePolicyName",
    np."type" AS "nodePolicyType", 
    n."vmHostNodeId",
    n."nodeAddress", 
    n."hostId",
    n."lastIndex" AS "nodeLastIndex", 
    n."properties" AS "nodeProperties",
    p."properties" AS "policyProperties",
    np."properties" AS "nodePolicyProperties"
FROM (("NODE" n JOIN "NODEPOLICY" np ON n."nodeId" = np."nodeId")
    JOIN "POLICY" p ON np."policyId" = p."policyId")
;

CREATE VIEW "report_view"
 AS
SELECT r."reportId", 
    r."reportName", 
    r."type" AS "reportType", 
    r."parentReportId",
    pr."reportName" AS "parentReportName",
    r."category", 
    r."description",
    r."designDocName",
    r."displayName", 
    r."properties" AS "reportProperties"
FROM "REPORT" r LEFT JOIN "REPORT" pr ON r."parentReportId" = pr."reportId"
;

CREATE VIEW "report_policy_view"
 AS
SELECT r."reportId", 
    r."reportName", 
    r."type" AS "reportType", 
    p."policyId",
    p."policyName",
    p."type" AS "policyType",
    rp."reportPolicyName",
    rp."type" AS "reportPolicyType", 
    r."parentReportId",
    r."category", 
    r."description",
    r."designDocName",
    r."displayName", 
    r."properties" AS "reportProperties",
    p."properties" AS "policyProperties",
    rp."properties" AS "reportPolicyProperties"
FROM (("REPORT" r JOIN "REPORTPOLICY" rp ON r."reportId" = rp."reportId")
    JOIN "POLICY" p ON rp."policyId" = p."policyId") 
;

CREATE VIEW "policy_schedule_view"
 AS
SELECT p."policyId",
    p."policyName",
    p."type" AS "policyType",
    s."scheduleId",
    s."scheduleName",
    s."type" AS "scheduleType",
    ps."policyScheduleName",
    ps."type" AS "policyScheduleType", 
    p."properties" AS "policyProperties",
    s."properties" AS "scheduleProperties",
    ps."properties" AS "policyScheduleProperties"
FROM (("POLICY" p JOIN "POLICYSCHEDULE" ps ON p."policyId" = ps."policyId")
    JOIN "SCHEDULE" s ON ps."scheduleId" = s."scheduleId")
;

CREATE VIEW "schedule_view"
 AS
SELECT s."scheduleId", 
    s."scheduleName", 
    s."type" AS "scheduleType", 
    s."todHour" AS "Hour", 
    s."todMinute" AS "Minute", 
    s."todSecond" AS "Second",
    s."day" AS "Day",
    s."month" AS "Month",
    s."year" AS "Year", 
    s."frequency",
    s."secIntvl",
    s."activateDate",
    s."cronSpec",
    s."priority",
    s."deactivateDate", 
    s."properties" AS "scheduleProperties"
FROM "SCHEDULE" s
;

-- Create relationships section ------------------------------------------------- 

ALTER TABLE "DEVICE" ADD CONSTRAINT "fkDEVICE_DeviceClusterId" FOREIGN KEY ("deviceClusterId") REFERENCES "DEVICECLUSTER" ("deviceClusterId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "JOB" ADD CONSTRAINT "fkJOB_PolicyId" FOREIGN KEY ("policyId") REFERENCES "POLICY" ("policyId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "JOBDEF" ADD CONSTRAINT "fkJOBDEF_JobFolderId" FOREIGN KEY ("jobFolderId") REFERENCES "JOBFOLDER" ("jobFolderId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "JOBMEDIA" ADD CONSTRAINT "fkJOBMEDIA_JobId" FOREIGN KEY ("jobId") REFERENCES "JOB" ("jobId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "JOBMEDIA" ADD CONSTRAINT "fkJOBMEDIA_MediaId" FOREIGN KEY ("mediaId") REFERENCES "MEDIA" ("mediaId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "JOBTASK" ADD CONSTRAINT "fkJOBTASK_JobId" FOREIGN KEY ("jobId") REFERENCES "JOB" ("jobId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "JOBTASK" ADD CONSTRAINT "fkJOBTASK_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "JOBTASK" ADD CONSTRAINT "fkJOBTASK_SnapshotId" FOREIGN KEY ("snapshotId") REFERENCES "SNAPSHOT" ("snapshotId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "JOBTASK" ADD CONSTRAINT "fkJOBTASK_VolumeId" FOREIGN KEY ("volumeId") REFERENCES "VOLUME" ("volumeId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "KEY" ADD CONSTRAINT "fkKEY_KeyRingId" FOREIGN KEY ("keyRingId") REFERENCES "KEYRING" ("keyRingId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "MEDIA" ADD CONSTRAINT "fkMEDIA_MediaPoolId" FOREIGN KEY ("mediaPoolId") REFERENCES "MEDIAPOOL" ("mediaPoolId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "NODE" ADD CONSTRAINT "fkNODE_ProxyNodeId" FOREIGN KEY ("proxyNodeId") REFERENCES "NODE" ("nodeId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "NODE" ADD CONSTRAINT "fkNODE_NodeGroupId" FOREIGN KEY ("nodeGroupId") REFERENCES "NODEGROUP" ("nodeGroupId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "NODEPOLICY" ADD CONSTRAINT "fkNODEPOLICY_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "NODEPOLICY" ADD CONSTRAINT "fkNODEPOLICY_PolicyId" FOREIGN KEY ("policyId") REFERENCES "POLICY" ("policyId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "POLICY" ADD CONSTRAINT "fkPOLICY_PolicyGroupId" FOREIGN KEY ("policyGroupId") REFERENCES "POLICYGROUP" ("policyGroupId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "POLICYSCHEDULE" ADD CONSTRAINT "fkPOLICYSCHEDULE_PolicyId" FOREIGN KEY ("policyId") REFERENCES "POLICY" ("policyId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "POLICYSCHEDULE" ADD CONSTRAINT "fkPOLICYSCHEDULE_ScheduleId" FOREIGN KEY ("scheduleId") REFERENCES "SCHEDULE" ("scheduleId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "ROLE" ADD CONSTRAINT "fkROLE_ParentRoleId" FOREIGN KEY ("parentRoleId") REFERENCES "ROLE" ("roleId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "ROLEPRIVILEGE" ADD CONSTRAINT "fkROLEPRIVILEGE_PrivilegeId" FOREIGN KEY ("privilegeId") REFERENCES "PRIVILEGE" ("privilegeId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "ROLEPRIVILEGE" ADD CONSTRAINT "fkROLEPRIVILEGE_RoleId" FOREIGN KEY ("roleId") REFERENCES "ROLE" ("roleId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "SCHEDULE" ADD CONSTRAINT "fkSCHEDULE_ExclusionCalendarId" FOREIGN KEY ("exclusionCalendarId") REFERENCES "EXCLUSIONCALENDAR" ("exclusionCalendarId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "SNAPSHOT" ADD CONSTRAINT "fkSNAPSHOT_VolumeId" FOREIGN KEY ("volumeId") REFERENCES "VOLUME" ("volumeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "SOFTWARECONFIG" ADD CONSTRAINT "fkSOFTWARECONFIG_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "STORAGEPOOL" ADD CONSTRAINT "fkSTORAGEPOOL_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "USERGROUP" ADD CONSTRAINT "fkUSERGROUP_ParentGroupId" FOREIGN KEY ("parentGroupId") REFERENCES "USERGROUP" ("userGroupId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "USERMEMBERSHIP" ADD CONSTRAINT "fkUSERMEMBERSHIP_UserId" FOREIGN KEY ("userId") REFERENCES "USER" ("userId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "USERMEMBERSHIP" ADD CONSTRAINT "fkUSERMEMBERSHIP_UserGroupId" FOREIGN KEY ("userGroupId") REFERENCES "USERGROUP" ("userGroupId") ON DELETE NO ACTION ON UPDATE NO ACTION
;

ALTER TABLE "VOLUME" ADD CONSTRAINT "fkVOLUME_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "VOLUME" ADD CONSTRAINT "fkVOLUME_StoragePoolId" FOREIGN KEY ("storagePoolId") REFERENCES "STORAGEPOOL" ("storagePoolId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "REPLICA" ADD CONSTRAINT "fkREPLICA_SrcNodeId" FOREIGN KEY ("srcNodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "REPLICA" ADD CONSTRAINT "fkREPLICA_DstNodeId" FOREIGN KEY ("dstNodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "REPLICA" ADD CONSTRAINT "fkREPLICA_SrcVolumeId" FOREIGN KEY ("srcVolumeId") REFERENCES "VOLUME" ("volumeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "REPLICA" ADD CONSTRAINT "fkREPLICA_DstVolumeId" FOREIGN KEY ("dstVolumeId") REFERENCES "VOLUME" ("volumeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "QTREE" ADD CONSTRAINT "fkQTREE_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "QTREE" ADD CONSTRAINT "fkQTREE_VolumeId" FOREIGN KEY ("volumeId") REFERENCES "VOLUME" ("volumeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "REPORT" ADD CONSTRAINT "fkREPORT_ReportGroupId" FOREIGN KEY ("reportGroupId") REFERENCES "REPORTGROUP" ("reportGroupId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "DATASTORE" ADD CONSTRAINT "fkDATASTORE_StgNodeId" FOREIGN KEY ("stgNodeId") REFERENCES "NODE" ("nodeId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "DATASTORE" ADD CONSTRAINT "fkDATASTORE_StgVolumeId" FOREIGN KEY ("stgVolumeId") REFERENCES "VOLUME" ("volumeId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "VINODEDATASTORE" ADD CONSTRAINT "fkVINODEDATASTORE_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "VINODEDATASTORE" ADD CONSTRAINT "fkVINODEDATASTORE_DatastoreId" FOREIGN KEY ("datastoreId") REFERENCES "DATASTORE" ("datastoreId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "NODE" ADD CONSTRAINT "fkNODE_VMHostNodeId" FOREIGN KEY ("vmHostNodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "REPORTPOLICY" ADD CONSTRAINT "fkREPORTPOLICY_PolicyId" FOREIGN KEY ("policyId") REFERENCES "POLICY" ("policyId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "REPORTPOLICY" ADD CONSTRAINT "fkREPORTPOLICY_ReportId" FOREIGN KEY ("reportId") REFERENCES "REPORT" ("reportId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "REPLICA" ADD CONSTRAINT "fkREPLICA_SrcQtreeId" FOREIGN KEY ("srcQtreeId") REFERENCES "QTREE" ("qtreeId") ON DELETE SET NULL ON UPDATE CASCADE
;

ALTER TABLE "REPLICA" ADD CONSTRAINT "fkREPLICA_dstQtreeId" FOREIGN KEY ("dstQtreeId") REFERENCES "QTREE" ("qtreeId") ON DELETE SET NULL ON UPDATE CASCADE
;

ALTER TABLE "JOBTASK" ADD CONSTRAINT "fkJOBTASK_ReportId" FOREIGN KEY ("reportId") REFERENCES "REPORT" ("reportId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "REPORT" ADD CONSTRAINT "fkREPORT_ParentReportId" FOREIGN KEY ("parentReportId") REFERENCES "REPORT" ("reportId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "USERROLE" ADD CONSTRAINT "fkUSERROLE_UserId" FOREIGN KEY ("userId") REFERENCES "USER" ("userId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "USERROLE" ADD CONSTRAINT "fkUSERROLE_RoleId" FOREIGN KEY ("roleId") REFERENCES "ROLE" ("roleId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "VDISK" ADD CONSTRAINT "fkVDISK_VINodeId" FOREIGN KEY ("viNodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "VDISK" ADD CONSTRAINT "fkVDISK_DatastoreId" FOREIGN KEY ("datastoreId") REFERENCES "DATASTORE" ("datastoreId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "VDISK" ADD CONSTRAINT "fkVDISK_LunId" FOREIGN KEY ("lunId") REFERENCES "LUN" ("lunId") ON DELETE SET NULL ON UPDATE SET NULL
;

ALTER TABLE "VSNAPSHOT" ADD CONSTRAINT "fkVSNAPSHOT_VINodeId" FOREIGN KEY ("viNodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "NODELUN" ADD CONSTRAINT "fkNODELUN_LunId" FOREIGN KEY ("lunId") REFERENCES "LUN" ("lunId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "NODELUN" ADD CONSTRAINT "fkNODELUN_NodeId" FOREIGN KEY ("nodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "DATASTORELUN" ADD CONSTRAINT "fkDATASTORELUN_DatastoreId" FOREIGN KEY ("datastoreId") REFERENCES "DATASTORE" ("datastoreId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "DATASTORELUN" ADD CONSTRAINT "fkDATASTORELUN_LunId" FOREIGN KEY ("lunId") REFERENCES "LUN" ("lunId") ON DELETE CASCADE ON UPDATE CASCADE
;

ALTER TABLE "LUN" ADD CONSTRAINT "fkLUN_StgNodeId" FOREIGN KEY ("stgNodeId") REFERENCES "NODE" ("nodeId") ON DELETE CASCADE ON UPDATE CASCADE
;



-- Grant permissions section -------------------------------------------------

GRANT "ecxusers" TO "ecxadmin"
;
GRANT "ecxusers" TO "ecxreporter"
;

