-- 
-- Created: 8/17/2012
-- Modified: 2/20/2013
-- Project: ECDataModel
-- Model: ECDB v3.3
-- Company: Syncsort Inc.
-- Author: Kevin Mascarenhas
-- Version: 3.3
-- Database: PostgreSQL 9.1
-- 

-- Drop relationships section -------------------------------------------------

ALTER TABLE "LUN" DROP CONSTRAINT "fkLUN_StgNodeId"
;
ALTER TABLE "DATASTORELUN" DROP CONSTRAINT "fkDATASTORELUN_LunId"
;
ALTER TABLE "DATASTORELUN" DROP CONSTRAINT "fkDATASTORELUN_DatastoreId"
;
ALTER TABLE "NODELUN" DROP CONSTRAINT "fkNODELUN_NodeId"
;
ALTER TABLE "NODELUN" DROP CONSTRAINT "fkNODELUN_LunId"
;
ALTER TABLE "VSNAPSHOT" DROP CONSTRAINT "fkVSNAPSHOT_VINodeId"
;
ALTER TABLE "VDISK" DROP CONSTRAINT "fkVDISK_LunId"
;
ALTER TABLE "VDISK" DROP CONSTRAINT "fkVDISK_DatastoreId"
;
ALTER TABLE "VDISK" DROP CONSTRAINT "fkVDISK_VINodeId"
;
ALTER TABLE "USERROLE" DROP CONSTRAINT "fkUSERROLE_RoleId"
;
ALTER TABLE "USERROLE" DROP CONSTRAINT "fkUSERROLE_UserId"
;
ALTER TABLE "REPORT" DROP CONSTRAINT "fkREPORT_ParentReportId"
;
ALTER TABLE "JOBTASK" DROP CONSTRAINT "fkJOBTASK_ReportId"
;
ALTER TABLE "REPLICA" DROP CONSTRAINT "fkREPLICA_dstQtreeId"
;
ALTER TABLE "REPLICA" DROP CONSTRAINT "fkREPLICA_SrcQtreeId"
;
ALTER TABLE "REPORTPOLICY" DROP CONSTRAINT "fkREPORTPOLICY_ReportId"
;
ALTER TABLE "REPORTPOLICY" DROP CONSTRAINT "fkREPORTPOLICY_PolicyId"
;
ALTER TABLE "NODE" DROP CONSTRAINT "fkNODE_VMHostNodeId"
;
ALTER TABLE "VINODEDATASTORE" DROP CONSTRAINT "fkVINODEDATASTORE_DatastoreId"
;
ALTER TABLE "VINODEDATASTORE" DROP CONSTRAINT "fkVINODEDATASTORE_NodeId"
;
ALTER TABLE "DATASTORE" DROP CONSTRAINT "fkDATASTORE_StgVolumeId"
;
ALTER TABLE "DATASTORE" DROP CONSTRAINT "fkDATASTORE_StgNodeId"
;
ALTER TABLE "REPORT" DROP CONSTRAINT "fkREPORT_ReportGroupId"
;
ALTER TABLE "QTREE" DROP CONSTRAINT "fkQTREE_VolumeId"
;
ALTER TABLE "QTREE" DROP CONSTRAINT "fkQTREE_NodeId"
;
ALTER TABLE "REPLICA" DROP CONSTRAINT "fkREPLICA_DstVolumeId"
;
ALTER TABLE "REPLICA" DROP CONSTRAINT "fkREPLICA_SrcVolumeId"
;
ALTER TABLE "REPLICA" DROP CONSTRAINT "fkREPLICA_DstNodeId"
;
ALTER TABLE "REPLICA" DROP CONSTRAINT "fkREPLICA_SrcNodeId"
;
ALTER TABLE "VOLUME" DROP CONSTRAINT "fkVOLUME_StoragePoolId"
;
ALTER TABLE "VOLUME" DROP CONSTRAINT "fkVOLUME_NodeId"
;
ALTER TABLE "USERMEMBERSHIP" DROP CONSTRAINT "fkUSERMEMBERSHIP_UserGroupId"
;
ALTER TABLE "USERMEMBERSHIP" DROP CONSTRAINT "fkUSERMEMBERSHIP_UserId"
;
ALTER TABLE "USERGROUP" DROP CONSTRAINT "fkUSERGROUP_ParentGroupId"
;
ALTER TABLE "STORAGEPOOL" DROP CONSTRAINT "fkSTORAGEPOOL_NodeId"
;
ALTER TABLE "SOFTWARECONFIG" DROP CONSTRAINT "fkSOFTWARECONFIG_NodeId"
;
ALTER TABLE "SNAPSHOT" DROP CONSTRAINT "fkSNAPSHOT_VolumeId"
;
ALTER TABLE "SCHEDULE" DROP CONSTRAINT "fkSCHEDULE_ExclusionCalendarId"
;
ALTER TABLE "ROLEPRIVILEGE" DROP CONSTRAINT "fkROLEPRIVILEGE_RoleId"
;
ALTER TABLE "ROLEPRIVILEGE" DROP CONSTRAINT "fkROLEPRIVILEGE_PrivilegeId"
;
ALTER TABLE "ROLE" DROP CONSTRAINT "fkROLE_ParentRoleId"
;
ALTER TABLE "POLICYSCHEDULE" DROP CONSTRAINT "fkPOLICYSCHEDULE_ScheduleId"
;
ALTER TABLE "POLICYSCHEDULE" DROP CONSTRAINT "fkPOLICYSCHEDULE_PolicyId"
;
ALTER TABLE "POLICY" DROP CONSTRAINT "fkPOLICY_PolicyGroupId"
;
ALTER TABLE "NODEPOLICY" DROP CONSTRAINT "fkNODEPOLICY_PolicyId"
;
ALTER TABLE "NODEPOLICY" DROP CONSTRAINT "fkNODEPOLICY_NodeId"
;
ALTER TABLE "NODE" DROP CONSTRAINT "fkNODE_NodeGroupId"
;
ALTER TABLE "NODE" DROP CONSTRAINT "fkNODE_ProxyNodeId"
;
ALTER TABLE "MEDIA" DROP CONSTRAINT "fkMEDIA_MediaPoolId"
;
ALTER TABLE "KEY" DROP CONSTRAINT "fkKEY_KeyRingId"
;
ALTER TABLE "JOBTASK" DROP CONSTRAINT "fkJOBTASK_VolumeId"
;
ALTER TABLE "JOBTASK" DROP CONSTRAINT "fkJOBTASK_SnapshotId"
;
ALTER TABLE "JOBTASK" DROP CONSTRAINT "fkJOBTASK_NodeId"
;
ALTER TABLE "JOBTASK" DROP CONSTRAINT "fkJOBTASK_JobId"
;
ALTER TABLE "JOBMEDIA" DROP CONSTRAINT "fkJOBMEDIA_MediaId"
;
ALTER TABLE "JOBMEDIA" DROP CONSTRAINT "fkJOBMEDIA_JobId"
;
ALTER TABLE "JOBDEF" DROP CONSTRAINT "fkJOBDEF_JobFolderId"
;
ALTER TABLE "JOB" DROP CONSTRAINT "fkJOB_PolicyId"
;
ALTER TABLE "DEVICE" DROP CONSTRAINT "fkDEVICE_DeviceClusterId"
;





-- Drop keys for tables section -------------------------------------------------

ALTER TABLE "DATASTORELUN" DROP CONSTRAINT "PK_DATASTORELUN"
;
ALTER TABLE "NODELUN" DROP CONSTRAINT "PK_NODELUN"
;
ALTER TABLE "VSNAPSHOT" DROP CONSTRAINT "PK_VSNAPSHOT"
;
ALTER TABLE "VSNAPSHOT" DROP CONSTRAINT "SK_VSNAPSHOT_NODEVSNAPSHOT"
;
ALTER TABLE "VDISK" DROP CONSTRAINT "PK_VDISK"
;
ALTER TABLE "VDISK" DROP CONSTRAINT "SK_VDISK_NODEVDISK"
;
ALTER TABLE "USERROLE" DROP CONSTRAINT "PK_USERROLE"
;
ALTER TABLE "LUN" DROP CONSTRAINT "PK_LUN"
;
ALTER TABLE "LUN" DROP CONSTRAINT "lunName"
;
ALTER TABLE "REPORTPOLICY" DROP CONSTRAINT "PK_REPORTPOLICY"
;
ALTER TABLE "VINODEDATASTORE" DROP CONSTRAINT "PK_VINODEDATASTORE"
;
ALTER TABLE "DATASTORE" DROP CONSTRAINT "PK_DATASTORE"
;
ALTER TABLE "DATASTORE" DROP CONSTRAINT "datastoreName"
;
ALTER TABLE "REPORT" DROP CONSTRAINT "PK_REPORT"
;
ALTER TABLE "REPORT" DROP CONSTRAINT "reportName"
;
ALTER TABLE "REPORTGROUP" DROP CONSTRAINT "PK_REPORTGROUP"
;
ALTER TABLE "REPORTGROUP" DROP CONSTRAINT "reportGroupName"
;
ALTER TABLE "ASSOCIATION" DROP CONSTRAINT "PK_ASSOCIATION"
;
ALTER TABLE "QTREE" DROP CONSTRAINT "PK_QTREE"
;
ALTER TABLE "REPLICA" DROP CONSTRAINT "PK_REPLICA"
;
ALTER TABLE "VOLUME_HIST" DROP CONSTRAINT "PK_VOLUME_HIST"
;
ALTER TABLE "VOLUME" DROP CONSTRAINT "PK_VOLUME"
;
ALTER TABLE "VOLUME" DROP CONSTRAINT "SK_VOLUME_NODEVOLUME"
;
ALTER TABLE "USERMEMBERSHIP" DROP CONSTRAINT "PK_USERMEMBERSHIP"
;
ALTER TABLE "USERGROUP" DROP CONSTRAINT "PK_USERGROUP"
;
ALTER TABLE "USERGROUP" DROP CONSTRAINT "userGroupName"
;
ALTER TABLE "USER" DROP CONSTRAINT "PK_USER"
;
ALTER TABLE "USER" DROP CONSTRAINT "userName"
;
ALTER TABLE "STORAGEPOOL_HIST" DROP CONSTRAINT "PK_STORAGEPOOL_HIST"
;
ALTER TABLE "STORAGEPOOL" DROP CONSTRAINT "PK_STORAGEPOOL"
;
ALTER TABLE "SOFTWARECONFIG" DROP CONSTRAINT "PK_SOFTWARECONFIG"
;
ALTER TABLE "SNAPSHOT" DROP CONSTRAINT "PK_SNAPSHOT"
;
ALTER TABLE "SNAPSHOT" DROP CONSTRAINT "SK_SNAPSHOT_VOLUMESNAPSHOT"
;
ALTER TABLE "SECURITYEVENT" DROP CONSTRAINT "PK_SECURITYEVENT"
;
ALTER TABLE "SCHEDULE" DROP CONSTRAINT "PK_SCHEDULE"
;
ALTER TABLE "SCHEDULE" DROP CONSTRAINT "scheduleName"
;
ALTER TABLE "ROLEPRIVILEGE" DROP CONSTRAINT "PK_ROLEPRIVILEGE"
;
ALTER TABLE "ROLE" DROP CONSTRAINT "PK_ROLE"
;
ALTER TABLE "ROLE" DROP CONSTRAINT "roleName"
;
ALTER TABLE "PRIVILEGE" DROP CONSTRAINT "PK_PRIVILEGE"
;
ALTER TABLE "PRIVILEGE" DROP CONSTRAINT "privilegeName"
;
ALTER TABLE "POLICYSCHEDULE" DROP CONSTRAINT "PK_POLICYSCHEDULE"
;
ALTER TABLE "POLICYGROUP" DROP CONSTRAINT "PK_POLICYGROUP"
;
ALTER TABLE "POLICYGROUP" DROP CONSTRAINT "policyGroupName"
;
ALTER TABLE "POLICY" DROP CONSTRAINT "PK_POLICY"
;
ALTER TABLE "POLICY" DROP CONSTRAINT "policyName"
;
ALTER TABLE "PERMISSION" DROP CONSTRAINT "PK_PERMISSION"
;
ALTER TABLE "NODEPOLICY" DROP CONSTRAINT "PK_NODEPOLICY"
;
ALTER TABLE "NODEGROUP" DROP CONSTRAINT "PK_NODEGROUP"
;
ALTER TABLE "NODEGROUP" DROP CONSTRAINT "nodeGroupName"
;
ALTER TABLE "NODE" DROP CONSTRAINT "PK_NODE"
;
ALTER TABLE "NODE" DROP CONSTRAINT "nodeName"
;
ALTER TABLE "NODE" DROP CONSTRAINT "SK_NODE_HOSTIDTYPE"
;
ALTER TABLE "MEDIAPOOL" DROP CONSTRAINT "PK_MEDIAPOOL"
;
ALTER TABLE "MEDIAPOOL" DROP CONSTRAINT "mediaPoolName"
;
ALTER TABLE "MEDIA" DROP CONSTRAINT "PK_MEDIA"
;
ALTER TABLE "MEDIA" DROP CONSTRAINT "mediaName"
;
ALTER TABLE "LICENSE" DROP CONSTRAINT "PK_LICENSE"
;
ALTER TABLE "LICENSE" DROP CONSTRAINT "licenseName"
;
ALTER TABLE "KEYRING" DROP CONSTRAINT "PK_KEYRING"
;
ALTER TABLE "KEYRING" DROP CONSTRAINT "keyRingName"
;
ALTER TABLE "KEY" DROP CONSTRAINT "PK_KEY"
;
ALTER TABLE "KEY" DROP CONSTRAINT "keyName"
;
ALTER TABLE "JOB_HIST" DROP CONSTRAINT "PK_JOB_HIST"
;
ALTER TABLE "JOBTASK" DROP CONSTRAINT "PK_JOBTASK"
;
ALTER TABLE "JOBTASK" DROP CONSTRAINT "trackingName"
;
ALTER TABLE "JOBMEDIA" DROP CONSTRAINT "PK_JOBMEDIA"
;
ALTER TABLE "JOBFOLDER" DROP CONSTRAINT "PK_JOBFOLDER"
;
ALTER TABLE "JOBFOLDER" DROP CONSTRAINT "jobFolderName"
;
ALTER TABLE "JOBDEF" DROP CONSTRAINT "PK_JOBDEF"
;
ALTER TABLE "JOBDEF" DROP CONSTRAINT "jobdefName"
;
ALTER TABLE "JOB" DROP CONSTRAINT "PK_JOB"
;
ALTER TABLE "EXCLUSIONCALENDAR" DROP CONSTRAINT "PK_EXCLUSIONCALENDAR"
;
ALTER TABLE "EXCLUSIONCALENDAR" DROP CONSTRAINT "exclusionCalendarName"
;
ALTER TABLE "DEVICECLUSTER" DROP CONSTRAINT "PK_DEVICECLUSTER"
;
ALTER TABLE "DEVICECLUSTER" DROP CONSTRAINT "deviceClusterName"
;
ALTER TABLE "DEVICE" DROP CONSTRAINT "PK_DEVICE"
;
ALTER TABLE "DEVICE" DROP CONSTRAINT "deviceName"
;
ALTER TABLE "CREDENTIAL" DROP CONSTRAINT "PK_CREDENTIAL"
;
ALTER TABLE "CHECKPOINT" DROP CONSTRAINT "PK_CHECKPOINT"
;



-- Drop views section --------------------------------------------------- 

DROP VIEW "schedule_view"
;
DROP VIEW "policy_schedule_view"
;
DROP VIEW "report_policy_view"
;
DROP VIEW "report_view"
;
DROP VIEW "node_policy_view"
;
DROP VIEW "lun_node_view"
;
DROP VIEW "datastore_lun_view"
;
DROP VIEW "user_role_view"
;
DROP VIEW "role_view"
;
DROP VIEW "user_view"
;
-- DROP VIEW "productconfig_view"
;
DROP VIEW "association_view"
;
DROP VIEW "jobtask_view"
;
DROP VIEW "policy_job_view"
;
DROP VIEW "job_view"
;
DROP VIEW "policy_view"
;
DROP VIEW "lun_view"
;
DROP VIEW "vdisk_view"
;
DROP VIEW "vsnapshot_view"
;
DROP VIEW "datastore_vi_view"
;
DROP VIEW "datastore_view"
;
DROP VIEW "volume_view"
;
DROP VIEW "storagepool_view"
;
DROP VIEW "snapshot_view"
;
DROP VIEW "replica_view"
;
DROP VIEW "qtree_view"
;
DROP VIEW "node_view"
;

-- Drop tables section ---------------------------------------------------

DROP TABLE "DATASTORELUN"
;
DROP TABLE "NODELUN"
;
DROP TABLE "VSNAPSHOT"
;
DROP TABLE "VDISK"
;
DROP TABLE "USERROLE"
;
DROP TABLE "LUN"
;
DROP TABLE "REPORTPOLICY"
;
DROP TABLE "VINODEDATASTORE"
;
DROP TABLE "DATASTORE"
;
DROP TABLE "REPORT"
;
DROP TABLE "REPORTGROUP"
;
DROP TABLE "ASSOCIATION"
;
DROP TABLE "QTREE"
;
DROP TABLE "VOLUME_HIST"
;
DROP TABLE "VOLUME"
;
DROP TABLE "USERMEMBERSHIP"
;
DROP TABLE "USERGROUP"
;
DROP TABLE "USER"
;
DROP TABLE "STORAGEPOOL_HIST"
;
DROP TABLE "STORAGEPOOL"
;
DROP TABLE "SOFTWARECONFIG"
;
DROP TABLE "SNAPSHOT"
;
DROP TABLE "SECURITYEVENT"
;
DROP TABLE "SCHEDULE"
;
DROP TABLE "ROLEPRIVILEGE"
;
DROP TABLE "ROLE"
;
DROP TABLE "REPLICA"
;
-- DROP TABLE "PRODUCTCONFIG"
;
DROP TABLE "PRIVILEGE"
;
DROP TABLE "POLICYSCHEDULE"
;
DROP TABLE "POLICYGROUP"
;
DROP TABLE "POLICY"
;
DROP TABLE "PERMISSION"
;
DROP TABLE "NODEPOLICY"
;
DROP TABLE "NODEGROUP"
;
DROP TABLE "NODE"
;
DROP TABLE "MEDIAPOOL"
;
DROP TABLE "MEDIA"
;
DROP TABLE "LICENSE"
;
DROP TABLE "KEYRING"
;
DROP TABLE "KEY"
;
DROP TABLE "JOB_HIST"
;
DROP TABLE "JOBTASK"
;
DROP TABLE "JOBMEDIA"
;
DROP TABLE "JOBFOLDER"
;
DROP TABLE "JOBDEF"
;
DROP TABLE "JOB"
;
DROP TABLE "EXCLUSIONCALENDAR"
;
DROP TABLE "DEVICECLUSTER"
;
DROP TABLE "DEVICE"
;
DROP TABLE "CREDENTIAL"
;
DROP TABLE "CHECKPOINT"
;

-- Drop sequences section --------------------------------------------------- 

DROP SEQUENCE IF EXISTS "Seq_VSNAPSHOT_vsnapshotId"
;
DROP SEQUENCE IF EXISTS "Seq_VDISK_vdiskId"
;
DROP SEQUENCE IF EXISTS "Seq_LUN_lunId"
;
DROP SEQUENCE IF EXISTS "Seq_DATASTORE_datastoreId"
;
DROP SEQUENCE IF EXISTS "Seq_REPORT_reportId"
;
DROP SEQUENCE IF EXISTS "Seq_REPORTGROUP_reportGroupId"
;
DROP SEQUENCE IF EXISTS "Seq_ASSOCIATION_associationId"
;
DROP SEQUENCE IF EXISTS "Seq_QTREE_qtreeId"
;
DROP SEQUENCE IF EXISTS "Seq_VOLUME_volumeId"
;
DROP SEQUENCE IF EXISTS "Seq_VOLUME_HIST_volumeHistId"
;
DROP SEQUENCE IF EXISTS "Seq_USER_userId"
;
DROP SEQUENCE IF EXISTS "Seq_USERGROUP_userGroupId"
;
DROP SEQUENCE IF EXISTS "Seq_STORAGEPOOL_storagePoolId"
;
DROP SEQUENCE IF EXISTS "Seq_STORAGEPOOL_HIST_storagePoolHistId"
;
DROP SEQUENCE IF EXISTS "Seq_SOFTWARECONFIG_softwareConfigId"
;
DROP SEQUENCE IF EXISTS "Seq_SNAPSHOT_snapshotId"
;
DROP SEQUENCE IF EXISTS "Seq_SECURITYEVENT_securityEventId"
;
DROP SEQUENCE IF EXISTS "Seq_SCHEDULE_scheduleId"
;
DROP SEQUENCE IF EXISTS "Seq_ROLE_roleId"
;
DROP SEQUENCE IF EXISTS "Seq_REPLICA_replicaId"
;
DROP SEQUENCE IF EXISTS "Seq_PRIVILEGE_privilegeId"
;
DROP SEQUENCE IF EXISTS "Seq_POLICY_policyId"
;
DROP SEQUENCE IF EXISTS "Seq_POLICYGROUP_policyGroupId"
;
DROP SEQUENCE IF EXISTS "Seq_NODE_nodeId"
;
DROP SEQUENCE IF EXISTS "Seq_NODEGROUP_nodeGroupId"
;
DROP SEQUENCE IF EXISTS "Seq_MEDIA_mediaId"
;
DROP SEQUENCE IF EXISTS "Seq_MEDIAPOOL_mediaPoolId"
;
DROP SEQUENCE IF EXISTS "Seq_LICENSE_licenseId"
;
DROP SEQUENCE IF EXISTS "Seq_KEY_keyId"
;
DROP SEQUENCE IF EXISTS "Seq_KEYRING_keyRingId"
;
DROP SEQUENCE IF EXISTS "Seq_JOB_jobId"
;
DROP SEQUENCE IF EXISTS "Seq_JOB_HIST_jobHistId"
;
DROP SEQUENCE IF EXISTS "Seq_JOBFOLDER_jobFolderId"
;
DROP SEQUENCE IF EXISTS "Seq_JOBDEF_jobdefId"
;
DROP SEQUENCE IF EXISTS "Seq_EXCLUSIONCALENDAR_exclusionCalendarId"
;
DROP SEQUENCE IF EXISTS "Seq_DEVICE_deviceId"
;
DROP SEQUENCE IF EXISTS "Seq_DEVICECLUSTER_deviceClusterId"
;
DROP SEQUENCE IF EXISTS "Seq_CREDENTIAL_credentialId"
;
DROP SEQUENCE IF EXISTS "Seq_CHECKPOINT_checkpointId"
;

-- Drop schemas section --------------------------------------------------- 

DROP SCHEMA IF EXISTS "master" CASCADE
;


-- Grant permissions section -------------------------------------------------

GRANT "ecxusers" TO "ecxadmin"
;
GRANT "ecxusers" TO "ecxreporter"
;

