/*
  MongoDB database load script

*/

var dbName = 'ECDB_master';

/* Sequence number generator for specified collection */
function counter(cname) {
    var c = db.COUNTER.findAndModify({query : {"_id" : cname}, update : {$inc : {"lastSeqNum" : 1}}, "new":true, upsert:true});
    return c.lastSeqNum;
}

/* Set logging level */
db.adminCommand({setParameter:1, logLevel:1})

db = db.getMongo().getDB(dbName);

/* Set initial value of lastSeqNum in collection COUNTER to be 1000 */
db.COUNTER.insert({_id:"ASSET", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"BLOB", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"IBMFCM", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"DPX", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"HYPERVISOR", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IBMSVC", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"EMCVNX", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"NETAPP", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"VCLOUD", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"VSPHERE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SMTP", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURPOLICY", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURJOB", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURTRIGGERJOB", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ENDEAVOURTASK", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"REPORT", "lastSeqNum" : 1000});
db.COUNTER.insert({_id:"SITE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SECURITYEVENT", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SCHEDULE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"USER", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"ROLE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"RESOURCEPOOL", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"VMCREDENTIAL", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"APPLICATIONSERVER", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"APPLICATIONCREDENTIAL", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IDENTITYUSER", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IDENTITYKEY", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"AWS", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"PURESTORAGE", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"IBMXIV", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"SUBPOLICY", "lastSeqNum" : 1000 });
db.COUNTER.insert({_id:"PRODUCTCONFIG", "lastSeqNum" : 1000 });


/* create default site in collection SITE */
db.SITE.insert({ "entityId" : NumberInt(1000), "name" : 'Primary', "description" : 'Primary Site', "storageType": "NONE", "defaultSite" : true, "loadBalanceRatio": NumberInt(50) });
/* Load prestaged data documents */
db.ROLE.insert({  "entityId" : NumberLong(1000),  "name" : "SUPERUSER",  "flags" : NumberLong(1),  "_class" : "com.syncsort.dp.xsb.persistence.dto.RoleDTO" } );
db.ROLE.insert({  "entityId" : NumberLong(1001),  "name" : "SYSADMIN",  "flags" : NumberLong(0),  "_class" : "com.syncsort.dp.xsb.persistence.dto.RoleDTO" } );
db.RESOURCEPOOL.insert({  "entityId" : NumberLong(1001), "resources" : [       {    "_id" : "0",    "metadata" : {    }, "include" : true, "type" : "root","path" : "root:0",   "custom" : false,    "ancestors" : [ ]        }        ], "modifiable" : true,  "name" : "All Resources", "comment" : "Includes every resource in the system. ",  "creatorId" : NumberLong(0),  "flags" : NumberLong(0),    "_class" : "com.syncsort.dp.xsb.persistence.dto.ResourcePoolDTO"})
db.USER.insert({ "entityId" : NumberLong(1000), "userPassword" : "59e7a464cdf12d6d650d1d2575a53fdf4ccd33cd2bab0a206b8f0307f99386c5", "name" : "admin","comment" : "SUPERUSER","creatorId" : NumberLong(0), "creationTime": new Date() ,"type" : "NATIVE_USER","flags" : NumberLong(2),   "permissions" : [ { "resourcePoolId" : "1001", "roleIds" : [ "1000"  ],  "permissionIds" : [ ]  }],"tenantId" : NumberLong(1000), "_class" : "com.syncsort.dp.xsb.persistence.dto.UserDTO" })

/* Load data for Product Config" */
db.PRODUCTCONFIG.insert( { "entityId" : NumberInt(1001), "name": "CONFIG-SQLDB", "creatorId": 0, "type": "SQLDB", "flags": 0,  "configs":'{"DBMSName":"PostgreSQL","DBMSVersion":"8.4.11","SchemaVersion":"3.3"}' });
db.PRODUCTCONFIG.insert( { "entityId" : NumberInt(1002), "name": "CONFIG-NOSQLDB", "creatorId": 0, "type": "NOSQLDB", "flags": 0, "configs":'{"DBMSName":"MongoDB","DBMSVersion":"2.2.0","SchemaVersion":"3.3"}'});
db.PRODUCTCONFIG.insert( { "entityId" : NumberInt(1003), "name": "CONFIG-LDAP", "creatorId": 0, "type": "LDAP", "flags": 0, "configs":'{"connection":"","host":"","port":"","bind DN":"","bind DN password":"","base DN":"","user mapping":{"filter":"","rdn":""}}' });
db.PRODUCTCONFIG.insert( { "entityId" : NumberInt(1004), "name": "CONFIG-GLOBAL", "creatorId": 0, "type": "GLOBAL",  "flags": 0, "configs":'{"assoc.moved.to.new.format":true, "rbac.upgrade.done":false, "jobs.upgraded.with.userid":true, "policies.acl.upgraded":true, "netapp.acl.upgraded":true, "policies.serviceid.upgraded":true, "policies.serviceid2.upgraded":true, "jobs.upgraded.with.serviceid":true, "sites.defaultsite.upgraded":true, "storprof.assoc.created":true, "site.provider.assoc.created":true, "identity.upgrade.done":true, "identity.nosite.upgrade.done":true}' });

print("MongoDB database load completed");


