/*
  MongoDB database update script required for upgrading from versions older than 2.0
 */

var dbName = 'ECDB_master';

/* Set logging level */
db.adminCommand({setParameter:1, logLevel:1})

/* Get to our database */
db = db.getMongo().getDB(dbName);

/*******
 * SITE
 *******/
print("Creating indexes for SITE collection...");
db.SITE.createIndex({name : 1}, {unique : true});

print("Inserting SITE to COUNTER collection...");
db.COUNTER.insert({_id:"SITE", "lastSeqNum" : 1000 });
print("Inserting SUBPOLICY to COUNTER collection...");
db.COUNTER.insert({_id:"SUBPOLICY", "lastSeqNum" : 1000 });

print("Creating indexes for User collection...");
db.USER.createIndex({name : 1}, {unique : true});
db.USER.createIndex({entityId : 1}, {unique : true});

print("MongoDB update completed");

