/*
 This is change log for 1001
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'
cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)



var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

print("Creating SCRIPTSERVER collection...");
db.createCollection('SCRIPTSERVER');
db.SCRIPTSERVER.createIndex({entityId : 1}, {unique : true});
db.SCRIPTSERVER.createIndex({name : 1}, {unique : true});
db.COUNTER.insert({_id:"SCRIPTSERVER", "lastSeqNum" : 1000 });

print("Removing VE offload schedule...");
var storageprofiles = db.STORAGEPROFILE.find().toArray()
var jobs = db.ENDEAVOURJOB.find().toArray()
for (var i=0; i<storageprofiles.length; i++) {
  for (var j=0; j<storageprofiles[i].spec.subpolicy.length; j++) {
    if (storageprofiles[i].spec.subpolicy[j].type != 'SP' ) { continue; }
    print("");
    var spSpecSubpolicy = storageprofiles[i].spec.subpolicy[j];
    print("Removing subpolicy " + spSpecSubpolicy.name + " from storageprofile " + storageprofiles[i].name + " and its corresponding job triggers");
    var subpolicyId = storageprofiles[i].spec.subpolicy[j].name + '(' + storageprofiles[i].entityId + ')';
    for (var k=0; k<jobs.length; k++) {
      if (jobs[k].type == 'protection' && jobs[k].triggers) {
        for (var l=0; l<jobs[k].triggers.length; l++) {
          if (jobs[k].triggers[l].triggerInfo && jobs[k].triggers[l].triggerInfo.subpolicy_id == subpolicyId) {
            var jobTrigger = jobs[k].triggers[l];
            var jobTriggerId = jobs[k].triggers[l].triggerId;
            print("..removing trigger from job.triggers, jobId: " + jobs[k].entityId + ", subpolicy_id: " + subpolicyId);
            db.ENDEAVOURJOB.update({"entityId":jobs[k].entityId},{$pull:{"triggers":{"triggerInfo.subpolicy_id":subpolicyId}}});
            print("..removing triggerId from job.triggerIds, jobId: " + jobs[k].entityId + ", value: " + jobs[k].entityId);
            db.ENDEAVOURJOB.update({"entityId":jobs[k].entityId},{$pull:{"triggerIds":jobTriggerId}});
            print("..removing trigger from triggerjob, triggerId: " + jobTriggerId);
            db.ENDEAVOURTRIGGERJOB.deleteOne({"triggerId":jobTriggerId});
          }
        }
      }
      var jobNoSPtrigger = db.ENDEAVOURJOB.findOne({"entityId":jobs[k].entityId,"actions":{$elemMatch:{"parameters.actionname.values":{$elemMatch:{"value":subpolicyId}}}}},{});
      var jobNoSPtriggerModified = false;
      if (jobNoSPtrigger && jobNoSPtrigger.actions) {
        for (var l=0; l<jobNoSPtrigger.actions.length; l++) {
          var valueIdx = -1;
          if (jobNoSPtrigger.actions[l].name == 'start' && jobNoSPtrigger.actions[l].parameters.actionname.values) {
            for (var m=0; m<jobNoSPtrigger.actions[l].parameters.actionname.values.length; m++) {
              if (jobNoSPtrigger.actions[l].parameters.actionname.values[m].value == subpolicyId) {
                valueIdx = m;
                break;
              }
            }
            if (valueIdx > -1) {
              jobNoSPtrigger.actions[l].parameters.actionname.values.splice(valueIdx,1);
              jobNoSPtriggerModified = true;
              print("..removing offload action from job.actions[].parameters.actionname.values[], jobId: " + jobs[k].entityId);
            }
            break;
          }
          break;
        }
      }
      if (jobNoSPtrigger && jobNoSPtrigger.updates && jobNoSPtrigger.updates.ACTIONS) {
        for (var l=0; l<jobNoSPtrigger.actions.length; l++) {
          var valueIdx = -1;
          if (jobNoSPtrigger.updates.ACTIONS[l].name == 'start' && jobNoSPtrigger.updates.ACTIONS[l].parameters.actionname.values) {
            for (var m=0; m<jobNoSPtrigger.updates.ACTIONS[l].parameters.actionname.values.length; m++) {
              if (jobNoSPtrigger.updates.ACTIONS[l].parameters.actionname.values[m].value == subpolicyId) {
                valueIdx = m;
                break;
              }
            }
            if (valueIdx > -1) {
              jobNoSPtrigger.updates.ACTIONS[l].parameters.actionname.values.splice(valueIdx,1);
              jobNoSPtriggerModified = true;
              print("..removing offload action from job.updates.ACTIONS[].parameters.actionname.values[], jobId: " + jobs[k].entityId);
            }
            break;
          }
          break;
        }
      }
      if (jobNoSPtriggerModified) {
        db.ENDEAVOURJOB.save(jobNoSPtrigger);
      }
    }
    print("..removing subpolicy from storageprofile.spec");
    db.STORAGEPROFILE.update({"entityId":storageprofiles[i].entityId}, {$pull:{"spec.subpolicy":{"id":storageprofiles[i].spec.subpolicy[j].id}}});
  }
}

