/*
 This is change log for 1007
 It's intended to run on update.

*/

dir='/opt/ECX/tools/dbScripts'

cd(dir)
pwd=pwd()
print('Current directory is :' + pwd)


var dbName = 'ECDB_master';
db = db.getMongo().getDB(dbName);

licfile = db.LICENSEFILE.count();
if (!licfile)
{
    /* collection does not exist */

    print("Creating LICENSEFILE collection...");
    /* Current license file size is ~ 1KB. Keeping 3x buffer */
    db.createCollection("LICENSEFILE", { capped : true, size : 4096, max : 1 })

    /* Since the collection would contain a single license file entry, we don't need any index */

    db.COUNTER.insert({_id:"LICENSEFILE", "lastSeqNum" : 1000});

    print("LICENSEFILE collection created successfully...");
}
else
{
    print("LICENSEFILE collection already exists...");
}

print("Updating VM Admin Role with vadp proxy permissions...");

db.ROLE.update({"name":"VM Admin"}, { $addToSet: { permissionIds: { $each: ["proxy.register", "proxy.view", "proxy.edit", "proxy.deregister"]}}});

print("Updating Database All Resource Group...");

var databaseResourceRbacPoolRbacPaths = new Array();

databaseResourceRbacPoolRbacPaths.push(
 		{
			"_id" : "serviceprovider.protection.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_BACKUP",
				"path" : "Job/Application Backup"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.protection.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.catalog.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_INVENTORY",
				"path" : "Job/Application Inventory"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.catalog.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_RECOVERY",
				"path" : "Job/Application Recovery"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allstorageprofiles",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
				"path" : "SLA Policy/All"
			},
			"include" : true,
			"type" : "storageprofile",
			"path" : "root:0/storageprofile:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allscripts",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
				"path" : "System Configuration/Script/All"
			},
			"include" : true,
			"type" : "script",
			"path" : "root:0/script:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
				"path" : "Schedule/All"
			},
			"include" : true,
			"type" : "trigger",
			"path" : "root:0/trigger:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "1003",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1003",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_PROTECTED_AND_UNPROTECTED_DATABASES",
				"path" : "Report/Protection/Protected and Unprotected Databases"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1003",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "1015",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1015",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DATABASE_SLA_POLICY_RPO_COMPLIANCE",
				"path" : "Report/Protection/Database SLA Policy RPO Compliance"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1015",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "1012",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1012",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DATABASE_BACKUP_HISTORY",
				"path" : "Report/Protection/Database Backup History"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1012",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "credential",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcredentials",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
				"path" : "Accounts/Identity/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:credential:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcertificates",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
				"path" : "System Configuration/Certificates//All:allcertificates"
			},
			"include" : true,
			"type" : "certificate",
			"path" : "root:0/certificate:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcloud",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
				"path" : "System Configuration/Cloud//All:allcloud"
			},
			"include" : true,
			"type" : "cloud",
			"path" : "root:0/cloud:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "key",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allkeys",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
				"path" : "System Configuration/Keys/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:key:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "9",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "9",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
				"path" : "Screen/Dashboard"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:9",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "10",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "10",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_FILE_RESTORE",
				"path" : "Screen/File Restore"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:10",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "200",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "200",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ORACLE_BACKUP",
				"path" : "Screen/Oracle Backup:200"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:200",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "201",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "201",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ORACLE_RESTORE",
				"path" : "Screen/Oracle Restore:201"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:201",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "210",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "210",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SQL_BACKUP",
				"path" : "Screen/SQL Backup:210"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:210",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "211",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "211",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SQL_RESTORE",
				"path" : "Screen/SQL Restore:211"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:211",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "220",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "220",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_EXCHANGE_BACKUP",
				"path" : "Screen/Exchange Backup:220"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:220",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "221",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "221",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_EXCHANGE_RESTORE",
				"path" : "Screen/Exchange Restore:221"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:221",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "230",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "230",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DB2_BACKUP",
				"path" : "Screen/Db2 Backup:230"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:230",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "231",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "231",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DB2_RESTORE",
				"path" : "Screen/Db2 Restore:231"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:231",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "240",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "240",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MONGO_BACKUP",
				"path" : "Screen/Mongo Backup:240"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:240",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "241",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "241",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MONGO_RESTORE",
				"path" : "Screen/Mongo Restore:241"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:241",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "13",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "13",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
				"path" : "Screen/Policy Overview:13"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:13",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "14",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "14",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
				"path" : "Screen/Backup Storage:14"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:14",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "site",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
				"path" : "System Configuration/Site/All:site"
			},
			"include" : true,
			"type" : "site",
			"path" : "root:0/site:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "5",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "5",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
				"path" : "Screen/Reports:5"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:5",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_SERVER",
				"typeTitle" : "All",
				"path" : "Server:server/All:all"
			},
			"include" : true,
			"type" : "appserver.all",
			"path" : "root:0/appserver.all:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "db2",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All Db2",
				"displayName" : "",
				"typeTitle" : "All Db2",
				"path" : "Database:database/Db2:db2/All Db2:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:db2",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "exch",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All Exchange",
				"displayName" : "",
				"typeTitle" : "All Exchange",
				"path" : "Database:database/Exchange:exchange/All Exchange:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:exch",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "mongo",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All MongoDB",
				"displayName" : "",
				"typeTitle" : "All MongoDB",
				"path" : "Database:database/MongoDB:mongodb/All MongoDB:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:mongo",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "oracle",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All Oracle",
				"displayName" : "",
				"typeTitle" : "All Oracle",
				"path" : "Database:database/Oracle:oracle/All Oracle:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:oracle",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "sql",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All SQL",
				"displayName" : "",
				"typeTitle" : "All SQL",
				"path" : "Database:database/SQL:sql/All SQL:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:sql",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		}
 
);

db.RESOURCEPOOL.update({"name":"Database All Resource Group"}, { "$set": {"resources": databaseResourceRbacPoolRbacPaths, "modifiable":false} });


print ("Creating File System All Resource Group...");

var filesystemResourcePoolRbacPaths = new Array();

filesystemResourcePoolRbacPaths.push(

		{
			"_id" : "serviceprovider.protection.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_BACKUP",
				"path" : "Job/Application Backup"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.protection.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.catalog.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_INVENTORY",
				"path" : "Job/Application Inventory"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.catalog.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_RECOVERY",
				"path" : "Job/Application Recovery"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allstorageprofiles",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
				"path" : "SLA Policy/All"
			},
			"include" : true,
			"type" : "storageprofile",
			"path" : "root:0/storageprofile:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allscripts",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
				"path" : "System Configuration/Script/All"
			},
			"include" : true,
			"type" : "script",
			"path" : "root:0/script:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
				"path" : "Schedule/All"
			},
			"include" : true,
			"type" : "trigger",
			"path" : "root:0/trigger:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "credential",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcredentials",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
				"path" : "Accounts/Identity/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:credential:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcertificates",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
				"path" : "System Configuration/Certificates//All:allcertificates"
			},
			"include" : true,
			"type" : "certificate",
			"path" : "root:0/certificate:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcloud",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
				"path" : "System Configuration/Cloud//All:allcloud"
			},
			"include" : true,
			"type" : "cloud",
			"path" : "root:0/cloud:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "key",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allkeys",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
				"path" : "System Configuration/Keys/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:key:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "9",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "9",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
				"path" : "Screen/Dashboard"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:9",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "13",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "13",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
				"path" : "Screen/Policy Overview:13"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:13",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "14",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "14",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
				"path" : "Screen/Backup Storage:14"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:14",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
    { 
      "_id" : "5",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "5", 
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
        "path" : "Screen/Reports:5"
      },
      "include" : true,
      "type" : "screen",
      "path" : "root:0/screen:0/screen:5",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "screen"
        }
      ] 
    }, 
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "site",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
				"path" : "System Configuration/Site/All:site"
			},
			"include" : true,
			"type" : "site",
			"path" : "root:0/site:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "file",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "All File Systems",
				"path" : "File System:file system/File Systems:file systems/All File Systems:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:file",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "270",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "270",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/File System Backup:270"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:270",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "271",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "271",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/File System Restore:271"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:271",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_SERVER",
				"typeTitle" : "All",
				"path" : "Server:server/All:all"
			},
			"include" : true,
			"type" : "appserver.all",
			"path" : "root:0/appserver.all:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
    {
      "_id" : "10003",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10003",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_FILE_SYSTEM_SLA_POLICY_COMPLIANCE",
        "path" : "Report/Protection/File System SLA Policy Compliance"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10003",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "10004",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10004",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_PROTECTED_FILE_SYSTEMS",
        "path" : "Report/Protection/Protected File Systems"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10004",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "10005",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10005",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_FILE_SYSTEM_BACKUP_HISTORY",
        "path" : "Report/Protection/File System Backup History"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10005",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    }
);

db.RESOURCEPOOL.insert({"name":"File System All Resource Group", "entityId": NumberLong(998), "flags": NumberLong(0), "comment":"Includes all File System Protection resources on the system"});

db.RESOURCEPOOL.update({"name":"File System All Resource Group"}, {"$set": {"resources": filesystemResourcePoolRbacPaths, "modifiable": false} })

print("Creating Container All Resource Group...");

var containerResourcePoolRbacPaths = new Array();

containerResourcePoolRbacPaths.push(
		{
			"_id" : "serviceprovider.protection.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_BACKUP",
				"path" : "Job/Application Backup"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.protection.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.catalog.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_INVENTORY",
				"path" : "Job/Application Inventory"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.catalog.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_RECOVERY",
				"path" : "Job/Application Recovery"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allstorageprofiles",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
				"path" : "SLA Policy/All"
			},
			"include" : true,
			"type" : "storageprofile",
			"path" : "root:0/storageprofile:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allscripts",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
				"path" : "System Configuration/Script/All"
			},
			"include" : true,
			"type" : "script",
			"path" : "root:0/script:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
				"path" : "Schedule/All"
			},
			"include" : true,
			"type" : "trigger",
			"path" : "root:0/trigger:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "credential",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcredentials",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
				"path" : "Accounts/Identity/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:credential:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcertificates",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
				"path" : "System Configuration/Certificates//All:allcertificates"
			},
			"include" : true,
			"type" : "certificate",
			"path" : "root:0/certificate:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcloud",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
				"path" : "System Configuration/Cloud//All:allcloud"
			},
			"include" : true,
			"type" : "cloud",
			"path" : "root:0/cloud:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "key",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allkeys",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
				"path" : "System Configuration/Keys/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:key:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "9",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "9",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
				"path" : "Screen/Dashboard"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:9",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "13",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "13",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
				"path" : "Screen/Policy Overview:13"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:13",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "14",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "14",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
				"path" : "Screen/Backup Storage:14"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:14",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "site",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
				"path" : "System Configuration/Site/All:site"
			},
			"include" : true,
			"type" : "site",
			"path" : "root:0/site:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "5",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "5",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
				"path" : "Screen/Reports:5"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:5",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "k8s",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "All Kubernetes",
				"path" : "Container:container/Kubernetes:kubernetes/All Kubernetes:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:k8s",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "260",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "260",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/Kubernetes Backup:260"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:260",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "261",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "261",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/Kubernetes Restore:261"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:261",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_SERVER",
				"typeTitle" : "All",
				"path" : "Server:server/All:all"
			},
			"include" : true,
			"type" : "appserver.all",
			"path" : "root:0/appserver.all:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "280",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "280",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/OpenShift Backup:280"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:280",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "281",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "281",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/OpenShift Restore:281"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:281",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "openshift",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All OpenShift",
				"displayName" : "",
				"typeTitle" : "All OpenShift",
				"path" : "Container:container/OpenShift:openshift/All OpenShift:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:openshift",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
    {
      "_id" : "10002",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10002",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_CONTAINER_BACKUP_HISTORY",
        "path" : "Report/Protection/Container Backup History"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10002",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "100021",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "100021",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_CONTAINER_BACKUP_UTILIZATION",
        "path" : "Report/Backup Storage Utilization/Container Backup Utilization"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:BackupStorageUtilizationCategoryName/report:100021",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "BackupStorageUtilizationCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "100022",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "100022",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_CONTAINER_SLA_POLICY_COMPLIANCE",
        "path" : "Report/Protection/Container SLA Policy Compliance"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:100022",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    }
);

db.RESOURCEPOOL.insert({"name":"Container All Resource Group", "entityId": NumberLong(997), "flags": NumberLong(0), "comment":"Includes all Container resources on the system"});

db.RESOURCEPOOL.update({"name":"Container All Resource Group"}, {"$set": {"resources": containerResourcePoolRbacPaths, "modifiable":false} })

print("Creating Cloud All Resource Group...");

var cloudResourcePoolRbacPaths = new Array();

cloudResourcePoolRbacPaths.push(
		{
			"_id" : "serviceprovider.protection.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_BACKUP",
				"path" : "Job/Application Backup"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.protection.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.catalog.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_INVENTORY",
				"path" : "Job/Application Inventory"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.catalog.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.application",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_RECOVERY",
				"path" : "Job/Application Recovery"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.application",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allstorageprofiles",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
				"path" : "SLA Policy/All"
			},
			"include" : true,
			"type" : "storageprofile",
			"path" : "root:0/storageprofile:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allscripts",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
				"path" : "System Configuration/Script/All"
			},
			"include" : true,
			"type" : "script",
			"path" : "root:0/script:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
				"path" : "Schedule/All"
			},
			"include" : true,
			"type" : "trigger",
			"path" : "root:0/trigger:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "credential",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcredentials",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
				"path" : "Accounts/Identity/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:credential:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcertificates",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
				"path" : "System Configuration/Certificates//All:allcertificates"
			},
			"include" : true,
			"type" : "certificate",
			"path" : "root:0/certificate:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcloud",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
				"path" : "System Configuration/Cloud//All:allcloud"
			},
			"include" : true,
			"type" : "cloud",
			"path" : "root:0/cloud:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "key",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allkeys",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
				"path" : "System Configuration/Keys/All"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:key:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "9",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "9",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
				"path" : "Screen/Dashboard"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:9",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "13",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "13",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
				"path" : "Screen/Policy Overview:13"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:13",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "14",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "14",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
				"path" : "Screen/Backup Storage:14"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:14",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "site",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
				"path" : "System Configuration/Site/All:site"
			},
			"include" : true,
			"type" : "site",
			"path" : "root:0/site:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "5",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "5",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
				"path" : "Screen/Reports:5"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:5",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "250",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "250",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/Office 365 Backup:250"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:250",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "251",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "251",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/Office 365 Restore:251"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:251",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "office365",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "All Office 365",
				"path" : "Cloud:cloud/Office 365:office 365/All Office 365:all"
			},
			"include" : true,
			"type" : "app.type",
			"path" : "root:0/app:0/app.type:office365",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "app"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_SERVER",
				"typeTitle" : "All",
				"path" : "Server:server/All:all"
			},
			"include" : true,
			"type" : "appserver.all",
			"path" : "root:0/appserver.all:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
    {
      "_id" : "10006",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10006",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MICROSOFT_365_BACKUP_HISTORY",
        "path" : "Report/Protection/Microsoft 365 Backup History"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10006",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "10007",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10007",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MICROSOFT_365_SLA_POLICY_COMPLIANCE",
        "path" : "Report/Protection/Microsoft 365 SLA Policy Compliance"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10007",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    },
    {
      "_id" : "10008",
      "metadata" : {
        "href_host" : "",
        "href_path" : "",
        "id" : "10008",
        "name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MICROSOFT_365_PROTECTED_USERS",
        "path" : "Report/Protection/Microsoft 365 Protected Users"
      },
      "include" : true,
      "type" : "report",
      "path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:10008",
      "custom" : false,
      "ancestors" : [
        {
          "_id" : "0",
          "type" : "root"
        },
        {
          "_id" : "0",
          "type" : "report"
        },
        {
          "_id" : "ProtectionCategoryName",
          "type" : "reportcategory"
        }
      ]
    }
);

db.RESOURCEPOOL.insert({"name":"Cloud All Resource Group", "entityId": NumberLong(996), "flags": NumberLong(0), "comment":"Includes all Cloud resources on the system"});

db.RESOURCEPOOL.update({"name":"Cloud All Resource Group"}, {"$set": {"resources": cloudResourcePoolRbacPaths, "modifiable":false} });

print("Updating Hypervisor/Virtualized Systems All Resource Group...");

var virtSysResourcePoolRbacPaths = new Array();

virtSysResourcePoolRbacPaths.push(
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_ALL",
				"path" : "Hypervisor/All:0"
			},
			"include" : true,
			"type" : "hypervisor.all",
			"path" : "root:0/hypervisor.all:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.file",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1031",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_FILE_RECOVERY",
				"typeTitle" : "Hypervisor File Recovery",
				"path" : "Job/Hypervisor File Recovery:1031"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.file",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.recovery.hypervisor",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1030",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_RECOVERY",
				"typeTitle" : "Hypervisor Recovery",
				"path" : "Job/Hypervisor Recovery:1030"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.recovery.hypervisor",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.catalog.hypervisor",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1027",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_INVENTORY",
				"typeTitle" : "Hypervisor Inventory",
				"path" : "Job/Hypervisor Inventory:1027"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.catalog.hypervisor",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "serviceprovider.protection.hypervisor",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1028",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_BACKUP",
				"typeTitle" : "Hypervisor Backup",
				"path" : "Job/Hypervisor Backup:1028"
			},
			"include" : true,
			"type" : "policytype",
			"path" : "root:0/policy:0/policytype:serviceprovider.protection.hypervisor",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "policy"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allstorageprofiles",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
				"typeTitle" : "All SLA Policies",
				"path" : "SLA Policy/All:allstorageprofiles"
			},
			"include" : true,
			"type" : "storageprofile",
			"path" : "root:0/storageprofile:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allscripts",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
				"typeTitle" : "All Scripts",
				"path" : "System Configuration/Scripts/All:allscripts"
			},
			"include" : true,
			"type" : "script",
			"path" : "root:0/script:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allschedules",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
				"typeTitle" : "All Schedules",
				"path" : "Schedule/All:allschedules"
			},
			"include" : true,
			"type" : "trigger",
			"path" : "root:0/trigger:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "VMEnvironmentCategoryName",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VM_ENVIRONMENT",
				"path" : "Report/VM Environment"
			},
			"include" : true,
			"type" : "reportcategory",
			"path" : "root:0/report:0/reportcategory:VMEnvironmentCategoryName",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				}
			]
		},
		{
			"_id" : "1014",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1014",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VM_SLA_POLICY_COMPLIANCE",
				"path" : "Report/Protection/VM SLA Policy Compliance"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1014",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "1011",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1011",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VM_BACKUP_HISTORY",
				"path" : "Report/Protection/VM Backup History"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1011",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "1002",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "1002",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_PROTECTED_VMS",
				"path" : "Report/Protection/Protected VMs"
			},
			"include" : true,
			"type" : "report",
			"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1002",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "report"
				},
				{
					"_id" : "ProtectionCategoryName",
					"type" : "reportcategory"
				}
			]
		},
		{
			"_id" : "key",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allkeys",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
				"path" : "System Configuration/Keys/All:allkeys"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:key:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcertificates",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
				"path" : "System Configuration/Certificates//All:allcertificates"
			},
			"include" : true,
			"type" : "certificate",
			"path" : "root:0/certificate:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcloud",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
				"path" : "System Configuration/Cloud//All:allcloud"
			},
			"include" : true,
			"type" : "cloud",
			"path" : "root:0/cloud:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "credential",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "allcredentials",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
				"path" : "Accounts/Identity/All:allcredentials"
			},
			"include" : true,
			"type" : "identitytype",
			"path" : "root:0/identity:0/identitytype:credential:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "identity"
				}
			]
		},
		{
			"_id" : "9",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "9",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
				"path" : "Screen/Dashboard:1"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:9",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "10",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "10",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_FILE_RESTORE",
				"path" : "Screen/FileRestore:1"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:10",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "100",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "100",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VMWAREBACKUP",
				"path" : "Screen/VMware Backup:100"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:100",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "101",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "101",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VMWARERESTORE",
				"path" : "Screen/VMware Restore:101"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:101",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "110",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "110",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERV_BACKUP",
				"path" : "Screen/HyperV Backup:110"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:110",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "111",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "111",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERV_RESTORE",
				"path" : "Screen/HyperV Restore:111"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:111",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "13",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "13",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
				"path" : "Screen/Policy Overview:1"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:13",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "14",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "14",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
				"path" : "Screen/BackupStorage:14"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:14",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "5",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "5",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
				"path" : "Screen/Reports:5"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:5",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "30",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "30",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_IDENTITY",
				"path" : "Screen/Identity:30"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:30",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "31",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "31",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_KEYS_AND_CERTIFICATES",
				"path" : "Screen/Keys and Certificates:30"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:31",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "22",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "22",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VADP_PROXY",
				"path" : "Screen/VADP Proxy:22"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:22",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "0",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "site",
				"name" : "",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
				"path" : "System Configuration/Site/All:site"
			},
			"include" : true,
			"type" : "site",
			"path" : "root:0/site:0",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				}
			]
		},
		{
			"_id" : "121",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "121",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/AWS Restore:121"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:121",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "120",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "120",
				"name" : "",
				"displayName" : "",
				"typeTitle" : "Screen",
				"path" : "Screen:screen/AWS Backup:120"
			},
			"include" : true,
			"type" : "screen",
			"path" : "root:0/screen:0/screen:120",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "screen"
				}
			]
		},
		{
			"_id" : "vmdkbackup.vadpproxy",
			"metadata" : {
				"href_host" : "",
				"href_path" : "",
				"id" : "all",
				"name" : "All",
        "nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VADP_PROXY_ALL",
				"typeTitle" : "All",
				"path" : "System Configuration:system configuration/VADP:vadp/All:all"
			},
			"include" : true,
			"type" : "proxy.type",
			"path" : "root:0/proxy:0/proxy.type:vmdkbackup.vadpproxy",
			"custom" : false,
			"ancestors" : [
				{
					"_id" : "0",
					"type" : "root"
				},
				{
					"_id" : "0",
					"type" : "proxy"
				}
			]
		}
);

db.RESOURCEPOOL.update({"name":"Hypervisor All Resource Group"}, {"$set": {"name":"Virtualized System All Resource Group"} });

db.RESOURCEPOOL.update({"name":"Virtualized System All Resource Group"}, {"$set": {"resources": virtSysResourcePoolRbacPaths, "modifiable":false} });


print("Renaming Application Admin role to Database Admin role...");

db.ROLE.update({"name":"Application Admin"}, {"$set": {"name":"Database Admin", "displayName":"Database Administrator"} });

print("Creating Cloud Admin role...");

var applicationadminPermissions = new Array();

applicationadminPermissions.push("certificate.create", "certificate.view", "certificate.edit", "certificate.delete", "storage.view", "appserver.register", "appserver.deregister", "appserver.view", "appserver.edit", "identity.create", "identity.view", "identity.edit", "identity.delete", "application.view", "policy.create", "policy.view", "policy.edit", "policy.run", "policy.delete", "report.create", "report.view", "report.edit", "report.delete", "screen.view", "script.create", "script.view", "script.edit", "script.delete", "site.view", "storageprofile.create", "storageprofile.view", "storageprofile.edit", "storageprofile.delete", "trigger.create", "trigger.view", "trigger.edit", "trigger.delete", "cloudprovider.view","scriptserver.register", "scriptserver.deregister", "scriptserver.view", "scriptserver.edit");

db.ROLE.insert({"name":"Cloud Admin", "entityId" : NumberLong(990),"flags" : NumberLong(0)});
db.ROLE.update( {"name":"Cloud Admin"}, {"$set": {"permissionIds": applicationadminPermissions, "isCanned":true,"displayName":"Cloud Administrator", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_CLOUD_ADMINISTRATOR"} });

print("Creating Containers Admin role...");

db.ROLE.insert({"name":"Containers Admin", "entityId" : NumberLong(989),"flags" : NumberLong(0)});
db.ROLE.update( {"name":"Containers Admin"}, {"$set": {"permissionIds": applicationadminPermissions, "isCanned":true,"displayName":"Containers Administrator", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_CONTAINERS_ADMINISTRATOR"} });

print("Creating File Systems Admin role...");

db.ROLE.insert({"name":"File Systems Admin", "entityId" : NumberLong(988),"flags" : NumberLong(0)});
db.ROLE.update( {"name":"File Systems Admin"}, {"$set": {"permissionIds": applicationadminPermissions, "isCanned":true,"displayName":"File Systems Administrator", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_FILESYSTEMS_ADMINISTRATOR"} });
