/*
	Utility to update the permission of the users.
	@Author  vjagadeesan
*/

var permissions = new Array();
var registerPermissions = new Array();
var readOnlyPermissions = new Array();
var vmadminPermissions = new Array();
var applicationadminPermissions = new Array();
var storageAdminPermissions = new Array();
var helpDeskUserPermissions = new Array();
var backupOnlyPermissions = new Array();
var restoreOnlyPermissions = new Array();
var selfServicePermissions = new Array();

/*
 * Resource Pools
 */

var hypervisorAllResourcePoolRbacPaths = new Array();

var databaseAllResourcePoolRbacPaths = new Array();

hypervisorAllResourcePoolRbacPaths.push(
{
	"_id" : "0",
	"metadata" : {
		"path" : "Hypervisor/All:0",
		"name" : "Hypervisor All",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_ALL",
		"href_host" : "http://localhost:8082",
	},
	"include" : true,
	"type" : "hypervisor.all",
	"path" : "root:0/hypervisor.all:0",
	"ancestors" : [
		{
		 "_id" : "0",
		 "type" : "root"
		}
	]
},
{
          "_id" : "0",
	  "metadata" : {
		"path" : "System Configuration/VADP Proxy/All:0",
		"name" : "VADP proxy All",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VADP_PROXY_ALL",
		"href_host" : "http://localhost:8082",
	  },
          "include" : true,
          "type" : "proxy",
          "path" : "root:0/proxy:0/proxy.type:vmdkbackup.vadpproxy",
          "ancestors" : [
                  {
                   "_id" : "0",
                   "type" : "root"
                  },
                  {
                   "_id" : "0",
                   "type": "proxy"
                  }
          ]
},
{
	"_id" : "serviceprovider.recovery.file",
	"metadata" : {
		"id" : "1031",
		"path" : "Job/Hypervisor File Recovery:1031",
		"name" : "Hypervisor Recovery",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_FILE_RECOVERY",
		"typeTitle" : "Hypervisor File Recovery",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/policy/types/1031"
	},
	"include" : true,
	"type" : "policytype",
	"path" : "root:0/policy:0/policytype:serviceprovider.recovery.file",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "policy"
		}
	]
},
{
	"_id" : "serviceprovider.recovery.hypervisor",
	"metadata" : {
		"id" : "1030",
		"path" : "Job/Hypervisor Recovery:1030",
		"name" : "Hypervisor Recovery",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_RECOVERY",
		"typeTitle" : "Hypervisor Recovery",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/policy/types/1030"
	},
	"include" : true,
	"type" : "policytype",
	"path" : "root:0/policy:0/policytype:serviceprovider.recovery.hypervisor",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "policy"
		}
	]
},
{
	"_id" : "serviceprovider.catalog.hypervisor",
	"metadata" : {
		"id" : "1027",
		"path" : "Job/Hypervisor Inventory:1027",
		"name" : "Hypervisor Inventory",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_INVENTORY",
		"typeTitle" : "Hypervisor Inventory",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/policy/types/1027"
	},
	"include" : true,
	"type" : "policytype",
	"path" : "root:0/policy:0/policytype:serviceprovider.catalog.hypervisor",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "policy"
		}
	]
},
{
	"_id" : "serviceprovider.protection.hypervisor",
	"metadata" : {
		"id" : "1028",
		"path" : "Job/Hypervisor Backup:1028",
		"name" : "Hypervisor Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERVISOR_BACKUP",
		"typeTitle" : "Hypervisor Backup",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/policy/types/1028"
	},
	"include" : true,
	"type" : "policytype",
	"path" : "root:0/policy:0/policytype:serviceprovider.protection.hypervisor",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "policy"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allstorageprofiles",
		"path" : "SLA Policy/All:allstorageprofiles",
		"name" : "All SLA Policies",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SLA_POLICIES",
		"typeTitle" : "All SLA Policies",
		"href_host" : "",
		"href_path" : "allstorageprofiles"
	},
	"include" : true,
	"type" : "storageprofile",
	"path" : "root:0/storageprofile:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		}
	]
},
{
	  "_id" : "0",
	  "metadata" : {
		"id" : "allscripts",
		"path" : "System Configuration/Scripts/All:allscripts",
		"name" : "All Scripts",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCRIPTS",
		"typeTitle" : "All Scripts",
		"href_host" : "",
		"href_path" : "allscripts"
	   },
	   "include" : true,
	   "type" : "script",
	   "path" : "root:0/script:0",
	   "ancestors" : [
		{
		   "_id" : "0",
		   "type" : "root"
		}
	   ]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allschedules",
		"path" : "Schedule/All:allschedules",
		"name" : "All Schedules",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_SCHEDULES",
		"typeTitle" : "All Schedules",
		"href_host" : "",
		"href_path" : "allschedules"
	},
	"include" : true,
	"type" : "trigger",
	"path" : "root:0/trigger:0",
	"ancestors" : [
		{
		 "_id" : "0",
		 "type" : "root"
		}
	]
},
{
	"_id" : "VMEnvironmentCategoryName",
	"metadata" : {
		"id" : null,
		"path" : "Report/VM Environment",
		"name" : "VM Environment",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VM_ENVIRONMENT",
		"category" : "",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/report/categories/VM%20Environment"
	},
	"include" : true,
	"type" : "reportcategory",
	"path" : "root:0/report:0/reportcategory:VMEnvironmentCategoryName",
	"ancestors" : [
		{
		  "_id" : "0",
		  "type" : "root"
		},
		{
		  "_id" : "0",
		  "type" : "report"
		}
	]
},
{
	"_id" : "1014",
	"metadata" : {
		"id" : "1014",
		"path" : "Report/Protection/VM SLA Policy Compliance",
		"name" : "VM SLA Policy Compliance",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VM_SLA_POLICY_COMPLIANCE",
		"parentId" : "",
		"category" : "Protection",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/report/1014"
	},
	"include" : true,
	"type" : "report",
	"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1014",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "report"
		},
		{
			"_id" : "ProtectionCategoryName",
			"type" : "reportcategory"
		}
	]
},
{
	"_id" : "1011",
	"metadata" : {
		"id" : "1011",
		"path" : "Report/Protection/VM Backup History",
		"name" : "VM Backup History",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VM_BACKUP_HISTORY",
		"parentId" : "",
		"category" : "Protection",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/report/1011"
	},
	"include" : true,
	"type" : "report",
	"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1011",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "report"
		},
		{
			"_id" : "ProtectionCategoryName",
			"type" : "reportcategory"
		}
	]
},
{
	"_id" : "1002",
	"metadata" : {
		"id" : "1002",
		"path" : "Report/Protection/Protected VMs",
		"name" : "Protected VMs",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_PROTECTED_VMS",
		"parentId" : "",
		"category" : "Protection",
		"href_host" : "http:/localhost/:8082",
		"href_path" : "/api/endeavour/report/1002"
	},
	"include" : true,
	"type" : "report",
	"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1002",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "report"
		},
		{
			"_id" : "ProtectionCategoryName",
			"type" : "reportcategory"
		}
	]
},
{
	"_id" : "key",
	"metadata" : {
		"id" : "allkeys",
		"path" : "System Configuration/Keys/All:allkeys",
		"name" : "All Keys",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
		"href_host" : "",
		"href_path" : "allkeys"
	},
	"include" : true,
	"type" : "identitytype",
	"path" : "root:0/identity:0/identitytype:key:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "identity"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allcertificates",
		"path" : "System Configuration/Certificates//All:allcertificates",
		"name" : "All Certificates",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
		"href_host" : "",
		"href_path" : "allcertificates"
	},
	"include" : true,
	"type" : "certificate",
	"path" : "root:0/certificate:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "certificate"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allcloud",
		"path" : "System Configuration/Cloud//All:allcloud",
		"name" : "All Cloud",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
		"href_host" : "",
		"href_path" : "allcloud"
	},
	"include" : true,
	"type" : "cloud",
	"path" : "root:0/cloud:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "cloud"
		}
	]
},
{
	"_id" : "credential",
	"metadata" : {
		"id" : "allcredentials",
		"path" : "Accounts/Identity/All:allcredentials",
		"name" : "All Identities",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
		"href_host" : "",
		"href_path" : "allcredentials"
	},
	"include" : true,
	"type" : "identitytype",
	"path" : "root:0/identity:0/identitytype:credential:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "identity"
		}
	]
},
{
	"_id" : "9",
	"metadata" : {
		"id" : "9",
		"name" : "Dashboard",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
		"path" : "Screen/Dashboard:1",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/9"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:9",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "10",
	"metadata" : {
		"id" : "10",
		"name" : "File Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_FILE_RESTORE",
		"path" : "Screen/FileRestore:1",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/10"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:10",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "100",
	"metadata" : {
		"id" : "100",
		"name" : "VMware Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VMWAREBACKUP",
		"path" : "Screen/VMware Backup:100",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/100"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:100",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},

{
	"_id" : "101",
	"metadata" : {
		"id" : "101",
		"name" : "VMware Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VMWARERESTORE",
		"path" : "Screen/VMware Restore:101",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/101"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:101",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "110",
	"metadata" : {
		"id" : "110",
		"name" : "HyperV Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERV_BACKUP",
		"path" : "Screen/HyperV Backup:110",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/110"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:110",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},

{
	"_id" : "111",
	"metadata" : {
		"id" : "111",
		"name" : "HyperV Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_HYPERV_RESTORE",
		"path" : "Screen/HyperV Restore:111",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/111"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:111",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "13",
	"metadata" : {
		"id" : "13",
		"name" : "SLA Policy",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
		"path" : "Screen/Policy Overview:1",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/13"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:13",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "14",
	"metadata" : {
		"id" : "14",
		"name" : "Backup Storage",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
		"path" : "Screen/BackupStorage:14",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/14"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:14",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "5",
	"metadata" : {
		"id" : "5",
		"name" : "Report",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
		"path" : "Screen/Reports:5",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/5"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:5",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "30",
	"metadata" : {
		"id" : "30",
		"name" : "Identity",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_IDENTITY",
		"path" : "Screen/Identity:30",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/30"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:30",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "31",
	"metadata" : {
		"id" : "31",
		"name" : "Keys and Certificates",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_KEYS_AND_CERTIFICATES",
		"path" : "Screen/Keys and Certificates:30",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/31"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:31",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "22",
	"metadata" : {
		"id" : "22",
		"name" : "VADP Proxy",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_VADP_PROXY",
		"path" : "Screen/VADP Proxy:22",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/22"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:22",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "site",
		"name" : "Site",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
		"path" : "System Configuration/Site/All:site",
		"href_host" : "http:/localhost:8082",
		"href_path" : ""
	},
	"include" : true,
	"type" : "site",
	"path" : "root:0/site:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		}
	]
});

databaseAllResourcePoolRbacPaths.push(
{
	 "_id" : "0",
	 "metadata" : {
		"path" : "Application Server/All",
		"name" : "Application Server",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_SERVER",
		"href_host" : "http://localhost:8082",
	 },
	 "include" : true,
	 "type" : "appserver.all",
	 "path" : "root:0/appserver.all:0",
	 "ancestors" : [
		 {
		   "_id" : "0",
		   "type" : "root"
		 }
	  ]
},
{
	 "_id" : "0",
	 "metadata" : {
		"path" : "Applications/All",
		"name" : "Applications",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATIONS",
		"href_host" : "http://localhost:8082",
	 },	 
	 "include" : true,
	 "type" : "app",
	 "path" : "root:0/app:0",
	 "ancestors" : [
		 {
		   "_id" : "0",
		   "type" : "root"
		 }
	  ]
},
{
	"_id" : "serviceprovider.protection.application",
	 "metadata" : {
		"path" : "Job/Application Backup",
		"name" : "Application Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_BACKUP",
		"href_host" : "http://localhost:8082",
	 },
	"include" : true,
	"type" : "policytype",
	"path" : "root:0/policy:0/policytype:serviceprovider.protection.application",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "policy"
		}
	]
},
{
	"_id" : "serviceprovider.catalog.application",
	 "metadata" : {
		"path" : "Job/Application Inventory",
		"name" : "Application Inventory",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_INVENTORY",
		"href_host" : "http://localhost:8082",
	 },
	"include" : true,
	"type" : "policytype",
	"path" : "root:0/policy:0/policytype:serviceprovider.catalog.application",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "policy"
		}
	]
},
{
	"_id" : "serviceprovider.recovery.application",
	"metadata" : {
		"path" : "Job/Application Recovery",
		"name" : "Application Recovery",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_APPLICATION_RECOVERY",
		"href_host" : "http://localhost:8082",
	},
	"include" : true,
	"type" : "policytype",
	"path" : "root:0/policy:0/policytype:serviceprovider.recovery.application",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "policy"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allstorageprofiles",
		"path" : "SLA Policy/All",
		"name" : "SLA Policy",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SLA_POLICY",
		"href_host" : "http://localhost:8082",
		"href_path" : "allstorageprofiles"
	},
	"include" : true,
	"type" : "storageprofile",
	"path" : "root:0/storageprofile:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allscripts",
		"path" : "System Configuration/Script/All",
		"name" : "Script",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SCRIPT",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/script"
	},
	"include" : true,
	"type" : "script",
	"path" : "root:0/script:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"path" : "Schedule/All",
		"name" : "Schedule",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SCHEDULE",
		"href_host" : "http://localhost:8082",
	},
	"include" : true,
	"type" : "trigger",
	"path" : "root:0/trigger:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		}
	]
},
{
	"_id" : "1003",
	"metadata" : {
		"id" : "1003",
		"path" : "Report/Protection/Protected and Unprotected Databases",
		"name" : "Protected and Unprotected Databases",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_PROTECTED_AND_UNPROTECTED_DATABASES",
		"category" : "",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/report/1003"
	},
	"include" : true,
	"type" : "report",
	"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1003",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "report"
		},
		{
			"_id" : "ProtectionCategoryName",
			"type" : "reportcategory"
		}
	]
},
{
	"_id" : "1015",
	"metadata" : {
		"id" : "1015",
		"path" : "Report/Protection/Database SLA Policy RPO Compliance",
		"name" : "Database SLA Policy RPO Compliance",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DATABASE_SLA_POLICY_RPO_COMPLIANCE",
		"category" : "",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/report/1015"
	},
	"include" : true,
	"type" : "report",
	"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1015",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "report"
		},
		{
			"_id" : "ProtectionCategoryName",
			"type" : "reportcategory"
		}
	]
},
{
	"_id" : "1012",
	"metadata" : {
		"id" : "1012",
		"path" : "Report/Protection/Database Backup History",
		"name" : "Database Backup History",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DATABASE_BACKUP_HISTORY",
		"category" : "",
		"href_host" : "http://localhost:8082",
		"href_path" : "/api/endeavour/report/1012"
	},
	"include" : true,
	"type" : "report",
	"path" : "root:0/report:0/reportcategory:ProtectionCategoryName/report:1012",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "report"
		},
		{
			"_id" : "ProtectionCategoryName",
			"type" : "reportcategory"
		}
	]
},
{
	"_id" : "credential",
	"metadata" : {
		"id" : "allcredentials",
		"path" : "Accounts/Identity/All",
		"name" : "All Identities",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_IDENTITIES",
		"href_host" : "http:/localhost:8082",
		"href_path" : "allcredentials"
	},
	"include" : true,
	"type" : "identitytype",
	"path" : "root:0/identity:0/identitytype:credential:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "identity"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allcertificates",
		"path" : "System Configuration/Certificates//All:allcertificates",
		"name" : "All Certificates",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CERTIFICATES",
		"href_host" : "",
		"href_path" : "allcertificates"
	},
	"include" : true,
	"type" : "certificate",
	"path" : "root:0/certificate:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "certificate"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "allcloud",
		"path" : "System Configuration/Cloud//All:allcloud",
		"name" : "All Cloud",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_CLOUD",
		"href_host" : "",
		"href_path" : "allcloud"
	},
	"include" : true,
	"type" : "cloud",
	"path" : "root:0/cloud:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "cloud"
		}
	]
},
{
	"_id" : "key",
	"metadata" : {
		"id" : "allkeys",
		"path" : "System Configuration/Keys/All",
		"name" : "All Keys",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ALL_KEYS",
		"href_host" : "http:/localhost:8082",
		"href_path" : "allkeys"
	},
	"include" : true,
	"type" : "identitytype",
	"path" : "root:0/identity:0/identitytype:key:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "identity"
		}
	]
},
{
	"_id" : "9",
	"metadata" : {
		"id" : "9",
		"name" : "Dashboard",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DASHBOARD",
		"path" : "Screen/Dashboard",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/9"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:9",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "10",
	"metadata" : {
		"id" : "10",
		"name" : "File Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_FILE_RESTORE",
		"path" : "Screen/File Restore",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/10"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:10",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "200",
	"metadata" : {
		"id" : "200",
		"name" : "Oracle Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ORACLE_BACKUP",
		"path" : "Screen/Oracle Backup:200",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/200"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:200",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},

{
	"_id" : "201",
	"metadata" : {
		"id" : "201",
		"name" : "Oracle Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_ORACLE_RESTORE",
		"path" : "Screen/Oracle Restore:201",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/201"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:201",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "210",
	"metadata" : {
		"id" : "210",
		"name" : "SQL Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SQL_BACKUP",
		"path" : "Screen/SQL Backup:210",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/210"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:210",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},

{
	"_id" : "211",
	"metadata" : {
		"id" : "211",
		"name" : "SQL Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SQL_RESTORE",
		"path" : "Screen/SQL Restore:211",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/211"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:211",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "220",
	"metadata" : {
		"id" : "220",
		"name" : "Exchange Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_EXCHANGE_BACKUP",
		"path" : "Screen/Exchange Backup:220",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/220"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:220",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},

{
	"_id" : "221",
	"metadata" : {
		"id" : "221",
		"name" : "Exchange Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_EXCHANGE_RESTORE",
		"path" : "Screen/Exchange Restore:221",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/221"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:221",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "230",
	"metadata" : {
		"id" : "230",
		"name" : "Db2 Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DB2_BACKUP",
		"path" : "Screen/Db2 Backup:230",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/230"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:230",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},

{
	"_id" : "231",
	"metadata" : {
		"id" : "231",
		"name" : "Db2 Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_DB2_RESTORE",
		"path" : "Screen/Db2 Restore:231",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/231"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:231",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "240",
	"metadata" : {
		"id" : "240",
		"name" : "Mongo Backup",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MONGO_BACKUP",
		"path" : "Screen/Mongo Backup:240",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/240"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:240",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},

{
	"_id" : "241",
	"metadata" : {
		"id" : "241",
		"name" : "Mongo Restore",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_MONGO_RESTORE",
		"path" : "Screen/Mongo Restore:241",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/241"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:241",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "13",
	"metadata" : {
		"id" : "13",
		"name" : "Policy Overview",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_POLICY_OVERVIEW",
		"path" : "Screen/Policy Overview:13",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/13"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:13",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "14",
	"metadata" : {
		"id" : "14",
		"name" : "Backup Storage",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_BACKUP_STORAGE",
		"path" : "Screen/Backup Storage:14",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/14"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:14",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
},
{
	"_id" : "0",
	"metadata" : {
		"id" : "site",
		"name" : "Site",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_SITE",
		"path" : "System Configuration/Site/All:site",
		"href_host" : "http:/localhost:8082",
		"href_path" : ""
	},
	"include" : true,
	"type" : "site",
	"path" : "root:0/site:0",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		}
	]
},
{
	"_id" : "5",
	"metadata" : {
		"id" : "5",
		"name" : "Report",
		"nameTranslationKey": "RESOURCE_POOL_DISPLAY_NAME_REPORT",
		"path" : "Screen/Reports:5",
		"href_host" : "http:/localhost:8082",
		"href_path" : "/api/screen/5"
	},
	"include" : true,
	"type" : "screen",
	"path" : "root:0/screen:0/screen:5",
	"ancestors" : [
		{
			"_id" : "0",
			"type" : "root"
		},
		{
			"_id" : "0",
			"type" : "screen"
		}
	]
});

vmadminPermissions.push("certificate.create", "certificate.view", "certificate.edit", "certificate.delete", "identity.create", "identity.view", "identity.edit", "identity.delete", "hypervisor.register", "hypervisor.view", "hypervisor.edit", "hypervisor.deregister", "hypervisor.options", "ldap.view", "policy.create", "policy.view", "policy.edit", "policy.run", "policy.delete", "report.create","report.view", "report.edit", "report.delete", "smtp.view", "screen.view", "script.create", "script.view", "script.edit", "script.delete", "site.view", "storageprofile.create", "storageprofile.view","storageprofile.edit", "storageprofile.delete", "trigger.create", "trigger.view", "trigger.edit", "trigger.delete", "storage.view", "cloudprovider.view","scriptserver.register", "scriptserver.deregister", "scriptserver.view", "scriptserver.edit");

storageAdminPermissions.push("certificate.create", "certificate.view", "certificate.edit", "certificate.delete", "identity.create", "identity.view", "identity.edit", "identity.delete", "storage.register", "storage.view", "storage.edit", "storage.deregister", "ldap.view", "policy.create", "policy.view", "policy.edit", "policy.run", "policy.delete", "report.create","report.view", "report.edit", "report.delete", "smtp.view", "screen.view", "script.create", "script.view", "script.edit", "script.delete", "site.view", "storageprofile.create", "storageprofile.view","storageprofile.edit", "storageprofile.delete", "trigger.create", "trigger.view", "trigger.edit", "trigger.delete");

backupOnlyPermissions.push("smtp.view", "certificate.create", "certificate.view", "certificate.edit", "certificate.delete", "identity.view", "identity.create", "identity.edit", "hypervisor.view", "hypervisor.edit", "hypervisor.options", "application.view", "storage.view", "log.view", "policy.create", "policy.view", "policy.run", "report.create", "report.view", "screen.view", "script.create", "script.view", "script.edit", "script.delete", "site.view", "storageprofile.view", "storageprofile.create", "storageprofile.edit", "trigger.create", "trigger.view", "trigger.edit", "trigger.delete", "proxy.view", "appserver.view", "cloudprovider.view","scriptserver.view");

restoreOnlyPermissions.push("smtp.view", "certificate.create", "certificate.view", "certificate.edit", "certificate.delete", "identity.view", "hypervisor.view", "application.view", "storage.view", "log.view", "policy.create", "policy.view", "policy.run", "report.create", "report.view", "screen.view", "script.create", "script.view", "script.edit", "script.delete", "site.view", "trigger.create", "trigger.view", "trigger.edit", "trigger.delete", "appserver.view", "cloudprovider.view","scriptserver.view");

selfServicePermissions.push("hypervisor.view", "appserver.view", "application.view", "storage.view", "log.view", "policy.view", "report.create", "report.view", "screen.view", "script.view", "site.view", "storageprofile.view", "trigger.view");

helpDeskUserPermissions.push("ldap.view","policy.view","policy.run","report.view","smtp.view","storageprofile.view","trigger.view");

applicationadminPermissions.push("certificate.create", "certificate.view", "certificate.edit", "certificate.delete", "storage.view", "appserver.register", "appserver.deregister", "appserver.view", "appserver.edit", "identity.create", "identity.view", "identity.edit", "identity.delete", "application.view", "policy.create", "policy.view", "policy.edit", "policy.run", "policy.delete", "report.create", "report.view", "report.edit", "report.delete", "screen.view", "script.create", "script.view", "script.edit", "script.delete", "site.view", "storageprofile.create", "storageprofile.view", "storageprofile.edit", "storageprofile.delete", "trigger.create", "trigger.view", "trigger.edit", "trigger.delete", "cloudprovider.view","scriptserver.register", "scriptserver.deregister", "scriptserver.view", "scriptserver.edit");

db.ROLE.update( {"name":"SUPERUSER"}, {"$set": {"permissionIds": permissions, "isCanned":true} })

db.RBACPERMISSION.find().forEach(function(permission){
	permissions.push(permission.name);
	if((permission.name.match(/(\.create)|(\.register)/) != null)&& permission.name.match(/(tenant)/) == null){
	   registerPermissions.push(permission.name);
	}
	if(permission.name.match(/(\.view)/) != null){
	   readOnlyPermissions.push(permission.name);
	}
    });

db.ROLE.update( {"name":"SYSADMIN"}, {"$set": {"permissionIds": permissions,"isCanned":true,"displayName":"Administrator", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_ADMINISTRATOR"} })
db.ROLE.update({"name":"SYSADMIN"},{$pull:{permissionIds:"application.maskedonly" }})

db.ROLE.remove({"name":"Database Admin"})
db.ROLE.insert({"name":"Create Only", "entityId" : NumberLong(999),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"Read Only", "entityId" : NumberLong(998),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"VM Admin", "entityId" : NumberLong(997),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"Storage Admin", "entityId" : NumberLong(996),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"Help Desk User", "entityId" : NumberLong(995),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"Backup Only", "entityId" : NumberLong(994),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"Restore Only", "entityId" : NumberLong(993),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"Self Service", "entityId" : NumberLong(992),"flags" : NumberLong(0)})
db.ROLE.insert({"name":"Application Admin", "entityId" : NumberLong(991),"flags" : NumberLong(0)})

db.RESOURCEPOOL.insert({"name":"Hypervisor All Resource Group", "entityId" :NumberLong(1000), "flags" : NumberLong(0), "comment": "Includes all Hypervisor resources on the system"})
db.RESOURCEPOOL.insert({"name":"Database All Resource Group", "entityId" :NumberLong(999), "flags" : NumberLong(0), "comment": "Includes all Database resources on the system"})

registerPermissions.push("screen.view");
db.ROLE.update( {"name":"Create Only"}, {"$set": {"permissionIds": registerPermissions, "isCanned":true} })
/*db.ROLE.update( {"name":"Read Only"}, {"$set": {"permissionIds": readOnlyPermissions, "isCanned":true} })*/
db.ROLE.remove({"name":"Read Only"})
db.ROLE.remove({'name':"Create Only"})
db.ROLE.update( {"name":"VM Admin"}, {"$set": {"permissionIds": vmadminPermissions, "isCanned":true,"displayName":"VM Administrator", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_VM_ADMINISTRATOR"} })
db.ROLE.update( {"name":"Storage Admin"}, {"$set": {"permissionIds": storageAdminPermissions, "isCanned":true,"displayName":"Storage Administrator", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_STORAGE_ADMINISTRATOR"} })
db.ROLE.update( {"name":"Help Desk User"}, {"$set": {"permissionIds": helpDeskUserPermissions, "isCanned":true} })
db.ROLE.update( {"name":"Backup Only"}, {"$set": {"permissionIds": backupOnlyPermissions, "isCanned":true,"displayName":"Backup Only", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_BACKUP_ONLY"} })
db.ROLE.update( {"name":"Restore Only"}, {"$set": {"permissionIds": restoreOnlyPermissions, "isCanned":true,"displayName":"Restore Only", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_RESTORE_ONLY"} })
db.ROLE.update( {"name":"Self Service"}, {"$set": {"permissionIds": selfServicePermissions, "isCanned":true,"displayName":"Self Service", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_SELF_SERVICE"} })
db.ROLE.update( {"name":"Application Admin"}, {"$set": {"permissionIds": applicationadminPermissions, "isCanned":true,"displayName":"Application Administrator", "displayNameTranslationKey": "ROLE_DISPLAY_NAME_APPLICATION_ADMINISTRATOR"} })

db.ROLE.remove({"name":"Storage Admin"})
db.ROLE.remove({'name':"Help Desk User"})

db.RESOURCEPOOL.update({"name":"Hypervisor All Resource Group"}, {"$set": {"resources": hypervisorAllResourcePoolRbacPaths} })

db.RESOURCEPOOL.update({"name":"Database All Resource Group"}, {"$set": {"resources": databaseAllResourcePoolRbacPaths} })
